=== modified file 'Makefile.am'
--- Makefile.am	2009-07-21 21:26:44 +0000
+++ Makefile.am	2009-07-27 17:30:05 +0000
@@ -53,14 +53,12 @@
 
 bin_PROGRAMS= \
 		client/drizzle \
-		client/drizzlecheck \
 		client/drizzledump \
 		client/drizzleimport \
 		client/drizzleslap
 
 man_MANS=\
 		client/drizzle.1 \
-		client/drizzlecheck.1 \
 		client/drizzled.8 \
 		client/drizzledump.1 \
 		client/drizzleimport.1 \
@@ -182,9 +180,6 @@
 client_drizzle_SOURCES=		client/drizzle.cc client/linebuffer.cc
 client_drizzle_LDADD=		${CLIENT_LDADD} ${READLINE_LIBS}
 
-client_drizzlecheck_SOURCES =	client/drizzlecheck.cc
-client_drizzlecheck_LDADD=	${CLIENT_LDADD}
-
 client_drizzledump_SOURCES=	client/drizzledump.cc
 client_drizzledump_LDADD=	${CLIENT_LDADD}
 

=== removed file 'client/drizzlecheck.1'
--- client/drizzlecheck.1	2009-05-23 23:51:18 +0000
+++ client/drizzlecheck.1	1970-01-01 00:00:00 +0000
@@ -1,433 +0,0 @@
-.\"     Title: \fBmysqlcheck\fR
-.\"    Author: 
-.\" Generator: DocBook XSL Stylesheets v1.70.1 <http://docbook.sf.net/>
-.\"      Date: 05/23/2009
-.\"    Manual: MySQL Database System
-.\"    Source: MySQL 6.0
-.\"
-.TH "\fBMYSQLCHECK\fR" "1" "05/23/2009" "MySQL 6.0" "MySQL Database System"
-.\" disable hyphenation
-.nh
-.\" disable justification (adjust text to left margin only)
-.ad l
-.SH "NAME"
-mysqlcheck \- a table maintenance program
-.SH "SYNOPSIS"
-.HP 46
-\fBmysqlcheck [\fR\fB\fIoptions\fR\fR\fB] [\fR\fB\fIdb_name\fR\fR\fB [\fR\fB\fItbl_name\fR\fR\fB ...]]\fR
-.SH "DESCRIPTION"
-.PP
-The
-\fBmysqlcheck\fR
-client performs table maintenance: It checks, repairs, optimizes, or analyzes tables.
-.PP
-Each table is locked and therefore unavailable to other sessions while it is being processed. Table maintenance operations can be time\-consuming, particularly for large tables. If you use the
-\fB\-\-databases\fR
-or
-\fB\-\-all\-databases\fR
-option to process all tables in one or more databases, an invocation of
-\fBmysqlcheck\fR
-might take a long time. (This is also true for
-\fBmysql_upgrade\fR
-because that program invokes
-\fBmysqlcheck\fR
-to check all tables and repair them if necessary.)
-.PP
-\fBmysqlcheck\fR
-is similar in function to
-\fBmyisamchk\fR, but works differently. The main operational difference is that
-\fBmysqlcheck\fR
-must be used when the
-\fBmysqld\fR
-server is running, whereas
-\fBmyisamchk\fR
-should be used when it is not. The benefit of using
-\fBmysqlcheck\fR
-is that you do not have to stop the server to perform table maintenance.
-.PP
-\fBmysqlcheck\fR
-uses the SQL statements
-CHECK TABLE,
-REPAIR TABLE,
-ANALYZE TABLE, and
-OPTIMIZE TABLE
-in a convenient way for the user. It determines which statements to use for the operation you want to perform, and then sends the statements to the server to be executed. For details about which storage engines each statement works with, see the descriptions for those statements in
-Section\ 12.5.2, \(lqTable Maintenance Statements\(rq.
-.PP
-The
-MyISAM
-storage engine supports all four maintenance operations, so
-\fBmysqlcheck\fR
-can be used to perform any of them on
-MyISAM
-tables. Other storage engines do not necessarily support all operations. In such cases, an error message is displayed. For example, if
-test.t
-is a
-MEMORY
-table, an attempt to check it produces this result:
-.sp
-.RS 3n
-.nf
-shell> \fBmysqlcheck test t\fR
-test.t
-note     : The storage engine for the table doesn't support check
-.fi
-.RE
-.PP
-If
-\fBmysqlcheck\fR
-is unable to repair a table, see
-Section\ 2.11.4, \(lqRebuilding or Repairing Tables or Indexes\(rq
-for manual table repair strategies. This will be the case, for example, for
-InnoDB
-tables, which can be checked with
-CHECK TABLE, but not repaired with
-REPAIR TABLE.
-.PP
-The use of
-\fBmysqlcheck\fR
-with partitioned tables is not supported before MySQL 6.0.6.
-.sp
-.it 1 an-trap
-.nr an-no-space-flag 1
-.nr an-break-flag 1
-.br
-\fBCaution\fR
-.PP
-It is best to make a backup of a table before performing a table repair operation; under some circumstances the operation might cause data loss. Possible causes include but are not limited to file system errors.
-.PP
-There are three general ways to invoke
-\fBmysqlcheck\fR:
-.sp
-.RS 3n
-.nf
-shell> \fBmysqlcheck [\fR\fB\fIoptions\fR\fR\fB] \fR\fB\fIdb_name\fR\fR\fB [\fR\fB\fItables\fR\fR\fB]\fR
-shell> \fBmysqlcheck [\fR\fB\fIoptions\fR\fR\fB] \-\-databases \fR\fB\fIdb_name1\fR\fR\fB [\fR\fB\fIdb_name2\fR\fR\fB \fR\fB\fIdb_name3\fR\fR\fB...]\fR
-shell> \fBmysqlcheck [\fR\fB\fIoptions\fR\fR\fB] \-\-all\-databases\fR
-.fi
-.RE
-.PP
-If you do not name any tables following
-\fIdb_name\fR
-or if you use the
-\fB\-\-databases\fR
-or
-\fB\-\-all\-databases\fR
-option, entire databases are checked.
-.PP
-\fBmysqlcheck\fR
-has a special feature compared to other client programs. The default behavior of checking tables (\fB\-\-check\fR) can be changed by renaming the binary. If you want to have a tool that repairs tables by default, you should just make a copy of
-\fBmysqlcheck\fR
-named
-\fBmysqlrepair\fR, or make a symbolic link to
-\fBmysqlcheck\fR
-named
-\fBmysqlrepair\fR. If you invoke
-\fBmysqlrepair\fR, it repairs tables.
-.PP
-The following names can be used to change
-\fBmysqlcheck\fR
-default behavior.
-.TS
-allbox tab(:);
-l l
-l l
-l l.
-T{
-\fBmysqlrepair\fR
-T}:T{
-The default option is \fB\-\-repair\fR
-T}
-T{
-\fBmysqlanalyze\fR
-T}:T{
-The default option is \fB\-\-analyze\fR
-T}
-T{
-\fBmysqloptimize\fR
-T}:T{
-The default option is \fB\-\-optimize\fR
-T}
-.TE
-.sp
-.PP
-\fBmysqlcheck\fR
-supports the options in the following list. It also reads option files and supports the options for processing them described at
-Section\ 4.2.3.2.1, \(lqCommand\-Line Options that Affect Option\-File Handling\(rq.
-.TP 3n
-\(bu
-\fB\-\-help\fR,
-\fB\-?\fR
-.sp
-Display a help message and exit.
-.TP 3n
-\(bu
-\fB\-\-all\-databases\fR,
-\fB\-A\fR
-.sp
-Check all tables in all databases. This is the same as using the
-\fB\-\-databases\fR
-option and naming all the databases on the command line.
-.TP 3n
-\(bu
-\fB\-\-all\-in\-1\fR,
-\fB\-1\fR
-.sp
-Instead of issuing a statement for each table, execute a single statement for each database that names all the tables from that database to be processed.
-.TP 3n
-\(bu
-\fB\-\-analyze\fR,
-\fB\-a\fR
-.sp
-Analyze the tables.
-.TP 3n
-\(bu
-\fB\-\-auto\-repair\fR
-.sp
-If a checked table is corrupted, automatically fix it. Any necessary repairs are done after all tables have been checked.
-.TP 3n
-\(bu
-\fB\-\-character\-sets\-dir=\fR\fB\fIpath\fR\fR
-.sp
-The directory where character sets are installed. See
-Section\ 9.2, \(lqThe Character Set Used for Data and Sorting\(rq.
-.TP 3n
-\(bu
-\fB\-\-check\fR,
-\fB\-c\fR
-.sp
-Check the tables for errors. This is the default operation.
-.TP 3n
-\(bu
-\fB\-\-check\-only\-changed\fR,
-\fB\-C\fR
-.sp
-Check only tables that have changed since the last check or that have not been closed properly.
-.TP 3n
-\(bu
-\fB\-\-check\-upgrade\fR,
-\fB\-g\fR
-.sp
-Invoke
-CHECK TABLE
-with the
-FOR UPGRADE
-option to check tables for incompatibilities with the current version of the server. This option automatically enables the
-\fB\-\-fix\-db\-names\fR
-and
-\fB\-\-fix\-table\-names\fR
-options.
-.TP 3n
-\(bu
-\fB\-\-compress\fR
-.sp
-Compress all information sent between the client and the server if both support compression.
-.TP 3n
-\(bu
-\fB\-\-databases\fR,
-\fB\-B\fR
-.sp
-Process all tables in the named databases. Normally,
-\fBmysqlcheck\fR
-treats the first name argument on the command line as a database name and following names as table names. With this option, it treats all name arguments as database names.
-.TP 3n
-\(bu
-\fB\-\-debug[=\fR\fB\fIdebug_options\fR\fR\fB]\fR,
-\fB\-# [\fR\fB\fIdebug_options\fR\fR\fB]\fR
-.sp
-Write a debugging log. A typical
-\fIdebug_options\fR
-string is
-\'d:t:o,\fIfile_name\fR'. The default is
-\'d:t:o'.
-.TP 3n
-\(bu
-\fB\-\-debug\-check\fR
-.sp
-Print some debugging information when the program exits.
-.TP 3n
-\(bu
-\fB\-\-debug\-info\fR
-.sp
-Print debugging information and memory and CPU usage statistics when the program exits.
-.TP 3n
-\(bu
-\fB\-\-default\-character\-set=\fR\fB\fIcharset_name\fR\fR
-.sp
-Use
-\fIcharset_name\fR
-as the default character set. See
-Section\ 9.2, \(lqThe Character Set Used for Data and Sorting\(rq.
-.TP 3n
-\(bu
-\fB\-\-extended\fR,
-\fB\-e\fR
-.sp
-If you are using this option to check tables, it ensures that they are 100% consistent but takes a long time.
-.sp
-If you are using this option to repair tables, it runs an extended repair that may not only take a long time to execute, but may produce a lot of garbage rows also!
-.TP 3n
-\(bu
-\fB\-\-fast\fR,
-\fB\-F\fR
-.sp
-Check only tables that have not been closed properly.
-.TP 3n
-\(bu
-\fB\-\-fix\-db\-names\fR
-.sp
-Convert database names to 5.1 format. Only database names that contain special characters are affected.
-.TP 3n
-\(bu
-\fB\-\-fix\-table\-names\fR
-.sp
-Convert table names to 5.1 format. Only table names that contain special characters are affected. As of MySQL 6.0.5, this option also applies to views.
-.TP 3n
-\(bu
-\fB\-\-force\fR,
-\fB\-f\fR
-.sp
-Continue even if an SQL error occurs.
-.TP 3n
-\(bu
-\fB\-\-host=\fR\fB\fIhost_name\fR\fR,
-\fB\-h \fR\fB\fIhost_name\fR\fR
-.sp
-Connect to the MySQL server on the given host.
-.TP 3n
-\(bu
-\fB\-\-medium\-check\fR,
-\fB\-m\fR
-.sp
-Do a check that is faster than an
-\fB\-\-extended\fR
-operation. This finds only 99.99% of all errors, which should be good enough in most cases.
-.TP 3n
-\(bu
-\fB\-\-optimize\fR,
-\fB\-o\fR
-.sp
-Optimize the tables.
-.TP 3n
-\(bu
-\fB\-\-password[=\fR\fB\fIpassword\fR\fR\fB]\fR,
-\fB\-p[\fR\fB\fIpassword\fR\fR\fB]\fR
-.sp
-The password to use when connecting to the server. If you use the short option form (\fB\-p\fR), you
-\fIcannot\fR
-have a space between the option and the password. If you omit the
-\fIpassword\fR
-value following the
-\fB\-\-password\fR
-or
-\fB\-p\fR
-option on the command line, you are prompted for one.
-.sp
-Specifying a password on the command line should be considered insecure. See
-Section\ 5.5.6.2, \(lqEnd\-User Guidelines for Password Security\(rq.
-.TP 3n
-\(bu
-\fB\-\-pipe\fR,
-\fB\-W\fR
-.sp
-On Windows, connect to the server via a named pipe. This option applies only for connections to a local server, and only if the server supports named\-pipe connections.
-.TP 3n
-\(bu
-\fB\-\-port=\fR\fB\fIport_num\fR\fR,
-\fB\-P \fR\fB\fIport_num\fR\fR
-.sp
-The TCP/IP port number to use for the connection.
-.TP 3n
-\(bu
-\fB\-\-protocol={TCP|SOCKET|PIPE|MEMORY}\fR
-.sp
-The connection protocol to use for connecting to the server. It is useful when the other connection parameters normally would cause a protocol to be used other than the one you want. For details on the allowable values, see
-Section\ 4.2.2, \(lqConnecting to the MySQL Server\(rq.
-.TP 3n
-\(bu
-\fB\-\-quick\fR,
-\fB\-q\fR
-.sp
-If you are using this option to check tables, it prevents the check from scanning the rows to check for incorrect links. This is the fastest check method.
-.sp
-If you are using this option to repair tables, it tries to repair only the index tree. This is the fastest repair method.
-.TP 3n
-\(bu
-\fB\-\-repair\fR,
-\fB\-r\fR
-.sp
-Perform a repair that can fix almost anything except unique keys that are not unique.
-.TP 3n
-\(bu
-\fB\-\-silent\fR,
-\fB\-s\fR
-.sp
-Silent mode. Print only error messages.
-.TP 3n
-\(bu
-\fB\-\-socket=\fR\fB\fIpath\fR\fR,
-\fB\-S \fR\fB\fIpath\fR\fR
-.sp
-For connections to
-localhost, the Unix socket file to use, or, on Windows, the name of the named pipe to use.
-.TP 3n
-\(bu
-\fB\-\-ssl*\fR
-.sp
-Options that begin with
-\fB\-\-ssl\fR
-specify whether to connect to the server via SSL and indicate where to find SSL keys and certificates. See
-Section\ 5.5.7.3, \(lqSSL Command Options\(rq.
-.TP 3n
-\(bu
-\fB\-\-tables\fR
-.sp
-Overrides the
-\fB\-\-databases\fR
-or
-\fB\-B\fR
-option. All name arguments following the option are regarded as table names.
-.TP 3n
-\(bu
-\fB\-\-use\-frm\fR
-.sp
-For repair operations on
-MyISAM
-tables, get the table structure from the
-\fI.frm\fR
-file so that the table can be repaired even if the
-\fI.MYI\fR
-header is corrupted.
-.TP 3n
-\(bu
-\fB\-\-user=\fR\fB\fIuser_name\fR\fR,
-\fB\-u \fR\fB\fIuser_name\fR\fR
-.sp
-The MySQL user name to use when connecting to the server.
-.TP 3n
-\(bu
-\fB\-\-verbose\fR,
-\fB\-v\fR
-.sp
-Verbose mode. Print information about the various stages of program operation.
-.TP 3n
-\(bu
-\fB\-\-version\fR,
-\fB\-V\fR
-.sp
-Display version information and exit.
-.SH "COPYRIGHT"
-.PP
-Copyright 2007\-2008 MySQL AB, 2009 Sun Microsystems, Inc.
-.PP
-This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.
-.PP
-This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
-.PP
-You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301 USA or see http://www.gnu.org/licenses/.
-.SH "SEE ALSO"
-For more information, please refer to the MySQL Reference Manual,
-which may already be installed locally and which is also available
-online at http://dev.mysql.com/doc/.
-.SH AUTHOR
-Sun Microsystems, Inc. (http://www.mysql.com/).

=== removed file 'client/drizzlecheck.cc'
--- client/drizzlecheck.cc	2009-07-11 02:27:48 +0000
+++ client/drizzlecheck.cc	1970-01-01 00:00:00 +0000
@@ -1,838 +0,0 @@
-/* Copyright (C) 2008 Drizzle development team
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; version 2 of the License.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
-
-/* By Jani Tolonen, 2001-04-20, MySQL, MYSQL Development Team */
-
-#define CHECK_VERSION "2.5.0"
-
-#include "client_priv.h"
-#include <vector>
-#include <string>
-
-/* Added this for string translation. */
-#include <drizzled/gettext.h>
-
-
-using namespace std;
-
-template class vector<string>;
-
-extern "C"
-bool get_one_option(int optid, const struct my_option *, char *argument);
-
-/* Exit codes */
-
-#define EX_USAGE 1
-#define EX_MYSQLERR 2
-
-static drizzle_st drizzle;
-static drizzle_con_st dcon;
-static bool opt_alldbs= false, opt_check_only_changed= false,
-            opt_extended= false, opt_databases= false,
-            opt_fast= false, opt_medium_check= false, opt_quick= false,
-            opt_all_in_1= false, opt_silent= false,
-            ignore_errors= false, tty_password= false, opt_frm= false,
-            debug_info_flag= false, debug_check_flag= false,
-            opt_fix_table_names= false, opt_fix_db_names= false,
-            opt_upgrade= false, opt_write_binlog= true;
-static uint32_t verbose= 0;
-static uint32_t opt_drizzle_port= 0;
-static int my_end_arg;
-static char * opt_drizzle_unix_port= NULL;
-static char *opt_password= NULL, *current_user= NULL,
-      *current_host= NULL;
-static int first_error= 0;
-
-enum operations { DO_CHECK, DO_ANALYZE, DO_OPTIMIZE, DO_UPGRADE };
-
-static struct my_option my_long_options[] =
-{
-  {"all-databases", 'A',
-   "Check all the databases. This will be same as  --databases with all databases selected.",
-   (char**) &opt_alldbs, (char**) &opt_alldbs, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0,
-   0, 0},
-  {"analyze", 'a', "Analyze given tables.", 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0,
-   0, 0, 0, 0},
-  {"all-in-1", '1',
-   "Instead of issuing one query for each table, use one query per database, naming all tables in the database in a comma-separated list.",
-   (char**) &opt_all_in_1, (char**) &opt_all_in_1, 0, GET_BOOL, NO_ARG, 0, 0, 0,
-   0, 0, 0},
-  {"check", 'c', "Check table for errors.", 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0,
-   0, 0, 0, 0},
-  {"check-only-changed", 'C',
-   "Check only tables that have changed since last check or haven't been closed properly.",
-   0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"check-upgrade", 'g',
-   "Check tables for version-dependent changes. May be used with --auto-repair to correct tables requiring version-dependent updates.",
-   0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"databases", 'B',
-   "To check several databases. Note the difference in usage; In this case no tables are given. All name arguments are regarded as databasenames.",
-   (char**) &opt_databases, (char**) &opt_databases, 0, GET_BOOL, NO_ARG,
-   0, 0, 0, 0, 0, 0},
-  {"debug-check", OPT_DEBUG_CHECK, "Check memory and open file usage at exit.",
-   (char**) &debug_check_flag, (char**) &debug_check_flag, 0,
-   GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"debug-info", OPT_DEBUG_INFO, "Print some debug info at exit.",
-   (char**) &debug_info_flag, (char**) &debug_info_flag,
-   0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"fast",'F', "Check only tables that haven't been closed properly.",
-   (char**) &opt_fast, (char**) &opt_fast, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0,
-   0},
-  {"fix-db-names", OPT_FIX_DB_NAMES, "Fix database names.",
-    (char**) &opt_fix_db_names, (char**) &opt_fix_db_names,
-    0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"fix-table-names", OPT_FIX_TABLE_NAMES, "Fix table names.",
-    (char**) &opt_fix_table_names, (char**) &opt_fix_table_names,
-    0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"force", 'f', "Continue even if we get an sql-error.",
-   (char**) &ignore_errors, (char**) &ignore_errors, 0, GET_BOOL, NO_ARG, 0, 0,
-   0, 0, 0, 0},
-  {"extended", 'e',
-   "If you are using this option with CHECK TABLE, it will ensure that the table is 100 percent consistent, but will take a long time. If you are using this option with REPAIR TABLE, it will force using old slow repair with keycache method, instead of much faster repair by sorting.",
-   (char**) &opt_extended, (char**) &opt_extended, 0, GET_BOOL, NO_ARG, 0, 0, 0,
-   0, 0, 0},
-  {"help", '?', "Display this help message and exit.", 0, 0, 0, GET_NO_ARG,
-   NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"host",'h', "Connect to host.", (char**) &current_host,
-   (char**) &current_host, 0, GET_STR_ALLOC, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"medium-check", 'm',
-   "Faster than extended-check, but only finds 99.99 percent of all errors. Should be good enough for most cases.",
-   0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"write-binlog", OPT_WRITE_BINLOG,
-   "Log ANALYZE, OPTIMIZE and REPAIR TABLE commands. Use --skip-write-binlog when commands should not be sent to replication slaves.",
-   (char**) &opt_write_binlog, (char**) &opt_write_binlog, 0, GET_BOOL, NO_ARG,
-   1, 0, 0, 0, 0, 0},
-  {"optimize", 'o', "Optimize table.", 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0,
-   0, 0},
-  {"password", 'P',
-   "Password to use when connecting to server. If password is not given it's solicited on the tty.",
-   0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
-  {"port", 'p', "Port number to use for connection or 0 for default to, in "
-   "order of preference, drizzle.cnf, $DRIZZLE_TCP_PORT, "
-   "built-in default (" STRINGIFY_ARG(DRIZZLE_PORT) ").",
-   0, 0, 0, GET_UINT, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"protocol", OPT_DRIZZLE_PROTOCOL, "The protocol of connection (tcp,socket,pipe,memory).",
-   0, 0, 0, GET_STR,  REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"quick", 'q',
-   "If you are using this option with CHECK TABLE, it prevents the check from scanning the rows to check for wrong links. This is the fastest check. If you are using this option with REPAIR TABLE, it will try to repair only the index tree. This is the fastest repair method for a table.",
-   (char**) &opt_quick, (char**) &opt_quick, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0,
-   0},
-  {"silent", 's', "Print only error messages.", (char**) &opt_silent,
-   (char**) &opt_silent, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"socket", 'S', "Socket file to use for connection.",
-   (char**) &opt_drizzle_unix_port, (char**) &opt_drizzle_unix_port, 0, GET_STR,
-   REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"tables", OPT_TABLES, "Overrides option --databases (-B).", 0, 0, 0,
-   GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"use-frm", OPT_FRM,
-   "When used with REPAIR, get table structure from .frm file, so the table can be repaired even if .MYI header is corrupted.",
-   (char**) &opt_frm, (char**) &opt_frm, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0,
-   0},
-  {"user", 'u', "User for login if not current user.", (char**) &current_user,
-   (char**) &current_user, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"verbose", 'v', "Print info about the various stages.", 0, 0, 0, GET_NO_ARG,
-   NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"version", 'V', "Output version information and exit.", 0, 0, 0, GET_NO_ARG,
-   NO_ARG, 0, 0, 0, 0, 0, 0},
-  {0, 0, 0, 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0}
-};
-
-static const char *load_default_groups[] = { "mysqlcheck", "client", 0 };
-
-
-static void print_version(void);
-static void usage(void);
-static int get_options(int *argc, char ***argv);
-static int process_all_databases(void);
-static int process_databases(char **db_names);
-static int process_selected_tables(char *db, char **table_names, int tables);
-static int process_all_tables_in_db(char *database);
-static int process_one_db(char *database);
-static int use_db(char *database);
-static int handle_request_for_tables(const char *tables, uint32_t length);
-static int dbConnect(char *host, char *user,char *passwd);
-static void dbDisconnect(char *host);
-static void DBerror(drizzle_con_st *con, const char *when);
-static void safe_exit(int error);
-static void print_result(drizzle_result_st *result);
-static uint32_t fixed_name_length(const char *name);
-static char *fix_table_name(char *dest, const char *src);
-int what_to_do = 0;
-
-static void print_version(void)
-{
-  printf("%s  Ver %s Distrib %s, for %s-%s (%s)\n", my_progname, CHECK_VERSION,
-         drizzle_version(), HOST_VENDOR, HOST_OS, HOST_CPU);
-} /* print_version */
-
-static void usage(void)
-{
-  print_version();
-  puts("By Jani Tolonen, 2001-04-20, MySQL Development Team\n");
-  puts("This software comes with ABSOLUTELY NO WARRANTY. This is free software,\n");
-  puts("and you are welcome to modify and redistribute it under the GPL license.\n");
-  puts("This program can be used to CHECK (-c,-m,-C), REPAIR (-r), ANALYZE (-a)");
-  puts("or OPTIMIZE (-o) tables. Some of the options (like -e or -q) can be");
-  puts("used at the same time. Not all options are supported by all storage engines.");
-  puts("Please consult the Drizzle manual for latest information about the");
-  puts("above. The options -c,-r,-a and -o are exclusive to each other, which");
-  puts("means that the last option will be used, if several was specified.\n");
-  puts("The option -c will be used by default, if none was specified. You");
-  puts("can change the default behavior by making a symbolic link, or");
-  puts("copying this file somewhere with another name, the alternatives are:");
-  puts("mysqlrepair:   The default option will be -r");
-  puts("mysqlanalyze:  The default option will be -a");
-  puts("mysqloptimize: The default option will be -o\n");
-  printf("Usage: %s [OPTIONS] database [tables]\n", my_progname);
-  printf("OR     %s [OPTIONS] --databases DB1 [DB2 DB3...]\n",
-   my_progname);
-  printf("OR     %s [OPTIONS] --all-databases\n", my_progname);
-  print_defaults("drizzle", load_default_groups);
-  my_print_help(my_long_options);
-  my_print_variables(my_long_options);
-} /* usage */
-
-bool get_one_option(int optid, const struct my_option *, char *argument)
-{
-  char *endchar= NULL;
-  uint64_t temp_drizzle_port= 0;
-
-  switch(optid) {
-  case 'a':
-    what_to_do = DO_ANALYZE;
-    break;
-  case 'c':
-    what_to_do = DO_CHECK;
-    break;
-  case 'C':
-    what_to_do = DO_CHECK;
-    opt_check_only_changed = 1;
-    break;
-  case 'I': /* Fall through */
-  case '?':
-    usage();
-    exit(0);
-  case 'm':
-    what_to_do = DO_CHECK;
-    opt_medium_check = 1;
-    break;
-  case 'o':
-    what_to_do = DO_OPTIMIZE;
-    break;
-  case OPT_FIX_DB_NAMES:
-    what_to_do= DO_UPGRADE;
-    opt_databases= 1;
-    break;
-  case OPT_FIX_TABLE_NAMES:
-    what_to_do= DO_UPGRADE;
-    break;
-  case 'p':
-    temp_drizzle_port= (uint64_t) strtoul(argument, &endchar, 10);
-    /* if there is an alpha character this is not a valid port */
-    if (strlen(endchar) != 0)
-    {
-      fprintf(stderr, _("Non-integer value supplied for port.  If you are trying to enter a password please use --password instead.\n"));
-      exit(EX_USAGE);
-    }
-    /* If the port number is > 65535 it is not a valid port
-       This also helps with potential data loss casting unsigned long to a
-       uint32_t. */
-    if ((temp_drizzle_port == 0) || (temp_drizzle_port > 65535))
-    {
-      fprintf(stderr, _("Value supplied for port is not valid.\n"));
-      exit(EX_USAGE);
-    }
-    else
-    {
-      opt_drizzle_port= (uint32_t) temp_drizzle_port;
-    }
-    break;
-  case 'P':
-    if (argument)
-    {
-      char *start= argument;
-      if (opt_password)
-        free(opt_password);
-      opt_password = strdup(argument);
-      if (opt_password == NULL)
-      {
-        fprintf(stderr, "Memory allocation error while copying password. "
-                        "Aborting.\n");
-        exit(ENOMEM);
-      }
-      while (*argument)
-      {
-        /* Overwriting password with 'x' */
-        *argument++= 'x';
-      }
-      if (*start)
-      {
-        /* Cut length of argument */
-        start[1] = 0;
-      }
-      tty_password= 0;
-    }
-    else
-      tty_password = 1;
-    break;
-  case 'g':
-    what_to_do= DO_CHECK;
-    opt_upgrade= 1;
-    break;
-  case OPT_TABLES:
-    opt_databases = 0;
-    break;
-  case 'v':
-    verbose++;
-    break;
-  case 'V': print_version(); exit(0);
-  case OPT_DRIZZLE_PROTOCOL:
-    break;
-  }
-  return 0;
-}
-
-
-static int get_options(int *argc, char ***argv)
-{
-  int ho_error;
-
-  if (*argc == 1)
-  {
-    usage();
-    exit(0);
-  }
-
-  load_defaults("drizzle", load_default_groups, argc, argv);
-
-  if ((ho_error=handle_options(argc, argv, my_long_options, get_one_option)))
-    exit(ho_error);
-
-  if (!what_to_do)
-  {
-    int pnlen = strlen(my_progname);
-
-    if (pnlen < 6) /* name too short */
-      what_to_do = DO_CHECK;
-    else if (!strcmp("analyze", my_progname + pnlen - 7))
-      what_to_do = DO_ANALYZE;
-    else if  (!strcmp("optimize", my_progname + pnlen - 8))
-      what_to_do = DO_OPTIMIZE;
-    else
-      what_to_do = DO_CHECK;
-  }
-
-  if (*argc > 0 && opt_alldbs)
-  {
-    printf("You should give only options, no arguments at all, with option\n");
-    printf("--all-databases. Please see %s --help for more information.\n",
-     my_progname);
-    return 1;
-  }
-  if (*argc < 1 && !opt_alldbs)
-  {
-    printf("You forgot to give the arguments! Please see %s --help\n",
-     my_progname);
-    printf("for more information.\n");
-    return 1;
-  }
-  if (tty_password)
-    opt_password = client_get_tty_password(NULL);
-  if (debug_info_flag)
-    my_end_arg= MY_CHECK_ERROR | MY_GIVE_INFO;
-  if (debug_check_flag)
-    my_end_arg= MY_CHECK_ERROR;
-  return(0);
-} /* get_options */
-
-
-static int process_all_databases()
-{
-  drizzle_row_t row;
-  drizzle_result_st result;
-  drizzle_return_t ret;
-  int error = 0;
-
-  if (drizzle_query_str(&dcon, &result, "SHOW DATABASES", &ret) == NULL ||
-      ret != DRIZZLE_RETURN_OK ||
-      drizzle_result_buffer(&result) != DRIZZLE_RETURN_OK)
-  {
-    if (ret == DRIZZLE_RETURN_ERROR_CODE)
-    {
-      fprintf(stderr, "Error: Couldn't execute 'SHOW DATABASES': %s",
-              drizzle_result_error(&result));
-      drizzle_result_free(&result);
-    }
-    else
-    {
-      fprintf(stderr, "Error: Couldn't execute 'SHOW DATABASES': %s",
-              drizzle_con_error(&dcon));
-    }
-
-    return 1;
-  }
-  while ((row = drizzle_row_next(&result)))
-  {
-    if (process_one_db((char *)row[0]))
-      error = 1;
-  }
-  drizzle_result_free(&result);
-  return error;
-}
-/* process_all_databases */
-
-
-static int process_databases(char **db_names)
-{
-  int result = 0;
-  for ( ; *db_names ; db_names++)
-  {
-    if (process_one_db(*db_names))
-      result = 1;
-  }
-  return result;
-} /* process_databases */
-
-
-static int process_selected_tables(char *db, char **table_names, int tables)
-{
-  if (use_db(db))
-    return 1;
-  if (opt_all_in_1)
-  {
-    /*
-      We need table list in form `a`, `b`, `c`
-      that's why we need 2 more chars added to to each table name
-      space is for more readable output in logs and in case of error
-    */
-    char *table_names_comma_sep, *end;
-    int i, tot_length = 0;
-
-    for (i = 0; i < tables; i++)
-      tot_length+= fixed_name_length(*(table_names + i)) + 2;
-
-    if (!(table_names_comma_sep = (char *)
-          malloc((sizeof(char) * tot_length) + 4)))
-      return 1;
-
-    for (end = table_names_comma_sep + 1; tables > 0;
-         tables--, table_names++)
-    {
-      end= fix_table_name(end, *table_names);
-      *end++= ',';
-    }
-    *--end = 0;
-    handle_request_for_tables(table_names_comma_sep + 1, tot_length - 1);
-    free(table_names_comma_sep);
-  }
-  else
-    for (; tables > 0; tables--, table_names++)
-      handle_request_for_tables(*table_names, fixed_name_length(*table_names));
-  return 0;
-} /* process_selected_tables */
-
-
-static uint32_t fixed_name_length(const char *name)
-{
-  const char *p;
-  uint32_t extra_length= 2;  /* count the first/last backticks */
-
-  for (p= name; *p; p++)
-  {
-    if (*p == '`')
-      extra_length++;
-    else if (*p == '.')
-      extra_length+= 2;
-  }
-  return (p - name) + extra_length;
-}
-
-
-static char *fix_table_name(char *dest, const char *src)
-{
-  *dest++= '`';
-  for (; *src; src++)
-  {
-    switch (*src) {
-    case '.':            /* add backticks around '.' */
-      *dest++= '`';
-      *dest++= '.';
-      *dest++= '`';
-      break;
-    case '`':            /* escape backtick character */
-      *dest++= '`';
-      /* fall through */
-    default:
-      *dest++= *src;
-    }
-  }
-  *dest++= '`';
-  return dest;
-}
-
-
-static int process_all_tables_in_db(char *database)
-{
-  drizzle_result_st result;
-  drizzle_row_t row;
-  drizzle_return_t ret;
-  uint32_t num_columns;
-
-  if (use_db(database))
-    return 1;
-  if (drizzle_query_str(&dcon, &result, "SHOW /*!50002 FULL*/ TABLES",
-       &ret) == NULL ||
-      ret != DRIZZLE_RETURN_OK ||
-      drizzle_result_buffer(&result) != DRIZZLE_RETURN_OK)
-  {
-    if (ret == DRIZZLE_RETURN_ERROR_CODE)
-      drizzle_result_free(&result);
-    return 1;
-  }
-
-  num_columns= drizzle_result_column_count(&result);
-
-  if (opt_all_in_1)
-  {
-    /*
-      We need table list in form `a`, `b`, `c`
-      that's why we need 2 more chars added to to each table name
-      space is for more readable output in logs and in case of error
-     */
-
-    char *tables, *end;
-    uint32_t tot_length = 0;
-
-    while ((row = drizzle_row_next(&result)))
-      tot_length+= fixed_name_length((char *)row[0]) + 2;
-    drizzle_row_seek(&result, 0);
-
-    if (!(tables=(char *) malloc(sizeof(char)*tot_length+4)))
-    {
-      drizzle_result_free(&result);
-      return 1;
-    }
-    for (end = tables + 1; (row = drizzle_row_next(&result)) ;)
-    {
-      if ((num_columns == 2) && (strcmp((char *)row[1], "VIEW") == 0))
-        continue;
-
-      end= fix_table_name(end, (char *)row[0]);
-      *end++= ',';
-    }
-    *--end = 0;
-    if (tot_length)
-      handle_request_for_tables(tables + 1, tot_length - 1);
-    free(tables);
-  }
-  else
-  {
-    while ((row = drizzle_row_next(&result)))
-    {
-      /* Skip views if we don't perform renaming. */
-      if ((what_to_do != DO_UPGRADE) && (num_columns == 2) && (strcmp((char *)row[1], "VIEW") == 0))
-        continue;
-
-      handle_request_for_tables((char *)row[0],
-                                fixed_name_length((char *)row[0]));
-    }
-  }
-  drizzle_result_free(&result);
-  return 0;
-} /* process_all_tables_in_db */
-
-
-
-static int fix_table_storage_name(const char *name)
-{
-  char qbuf[100 + DRIZZLE_MAX_COLUMN_NAME_SIZE*4];
-  drizzle_result_st result;
-  drizzle_return_t ret;
-  int rc= 0;
-  if (strncmp(name, "#mysql50#", 9))
-    return 1;
-  sprintf(qbuf, "RENAME TABLE `%s` TO `%s`", name, name + 9);
-  if (drizzle_query_str(&dcon, &result, qbuf, &ret) == NULL ||
-      ret != DRIZZLE_RETURN_OK)
-  {
-    fprintf(stderr, "Failed to %s\n", qbuf);
-    if (ret == DRIZZLE_RETURN_ERROR_CODE)
-    {
-      fprintf(stderr, "Error: %s\n", drizzle_result_error(&result));
-      drizzle_result_free(&result);
-    }
-    else
-      fprintf(stderr, "Error: %s\n", drizzle_con_error(&dcon));
-    rc= 1;
-  }
-  else
-    drizzle_result_free(&result);
-  if (verbose)
-    printf("%-50s %s\n", name, rc ? "FAILED" : "OK");
-  return rc;
-}
-
-static int fix_database_storage_name(const char *name)
-{
-  char qbuf[100 + DRIZZLE_MAX_COLUMN_NAME_SIZE*4];
-  drizzle_result_st result;
-  drizzle_return_t ret;
-  int rc= 0;
-  if (strncmp(name, "#mysql50#", 9))
-    return 1;
-  sprintf(qbuf, "ALTER DATABASE `%s` UPGRADE DATA DIRECTORY NAME", name);
-  if (drizzle_query_str(&dcon, &result, qbuf, &ret) == NULL ||
-      ret != DRIZZLE_RETURN_OK)
-  {
-    fprintf(stderr, "Failed to %s\n", qbuf);
-    if (ret == DRIZZLE_RETURN_ERROR_CODE)
-    {
-      fprintf(stderr, "Error: %s\n", drizzle_result_error(&result));
-      drizzle_result_free(&result);
-    }
-    else
-      fprintf(stderr, "Error: %s\n", drizzle_con_error(&dcon));
-    rc= 1;
-  }
-  else
-    drizzle_result_free(&result);
-  if (verbose)
-    printf("%-50s %s\n", name, rc ? "FAILED" : "OK");
-  return rc;
-}
-
-static int process_one_db(char *database)
-{
-  if (what_to_do == DO_UPGRADE)
-  {
-    int rc= 0;
-    if (opt_fix_db_names && !strncmp(database,"#mysql50#", 9))
-    {
-      rc= fix_database_storage_name(database);
-      database+= 9;
-    }
-    if (rc || !opt_fix_table_names)
-      return rc;
-  }
-  return process_all_tables_in_db(database);
-}
-
-
-static int use_db(char *database)
-{
-  drizzle_result_st result;
-  drizzle_return_t ret;
-  if (drizzle_con_server_version_number(&dcon) >= 50003 &&
-      !my_strcasecmp(&my_charset_utf8_general_ci, database, "information_schema"))
-    return 1;
-  if (drizzle_select_db(&dcon, &result, database, &ret) == NULL ||
-      ret != DRIZZLE_RETURN_OK)
-  {
-    if (ret == DRIZZLE_RETURN_ERROR_CODE)
-    {
-      fprintf(stderr,"Got error: %s when selecting the database",
-              drizzle_result_error(&result));
-      safe_exit(EX_MYSQLERR);
-      drizzle_result_free(&result);
-    }
-    else
-      DBerror(&dcon, "when selecting the database");
-    return 1;
-  }
-  drizzle_result_free(&result);
-  return 0;
-} /* use_db */
-
-
-static int handle_request_for_tables(const char *tables, uint32_t length)
-{
-  char *query, *end, options[100], message[100];
-  uint32_t query_length= 0;
-  const char *op = 0;
-  drizzle_result_st result;
-  drizzle_return_t ret;
-
-  options[0] = 0;
-  end = options;
-  switch (what_to_do) {
-  case DO_CHECK:
-    op = "CHECK";
-    if (opt_quick)              end = strcpy(end, " QUICK")+6;
-    if (opt_fast)               end = strcpy(end, " FAST")+5;
-    if (opt_medium_check)       end = strcpy(end, " MEDIUM")+7; /* Default */
-    if (opt_extended)           end = strcpy(end, " EXTENDED")+9;
-    if (opt_check_only_changed) end = strcpy(end, " CHANGED")+8;
-    if (opt_upgrade)            end = strcpy(end, " FOR UPGRADE")+12;
-    break;
-  case DO_ANALYZE:
-    op= (opt_write_binlog) ? "ANALYZE" : "ANALYZE NO_WRITE_TO_BINLOG";
-    break;
-  case DO_OPTIMIZE:
-    op= (opt_write_binlog) ? "OPTIMIZE" : "OPTIMIZE NO_WRITE_TO_BINLOG";
-    break;
-  case DO_UPGRADE:
-    return fix_table_storage_name(tables);
-  }
-
-  if (!(query =(char *) malloc((sizeof(char)*(length+110)))))
-    return 1;
-  if (opt_all_in_1)
-  {
-    /* No backticks here as we added them before */
-    query_length= sprintf(query, "%s TABLE %s %s", op, tables, options);
-  }
-  else
-  {
-    char *ptr;
-    ptr= query;
-    ptr= strcpy(query, op)+strlen(op);
-    ptr= strcpy(ptr, " TABLE ")+7;
-    ptr= fix_table_name(ptr, tables);
-    ptr+= sprintf(ptr," %s",options);
-    query_length= (uint32_t) (ptr - query);
-  }
-  if (drizzle_query(&dcon, &result, query, query_length, &ret) == NULL ||
-      ret != DRIZZLE_RETURN_OK ||
-      drizzle_result_buffer(&result) != DRIZZLE_RETURN_OK)
-  {
-    sprintf(message, "when executing '%s TABLE ... %s'", op, options);
-    if (ret == DRIZZLE_RETURN_ERROR_CODE)
-    {
-      fprintf(stderr,"Got error: %s %s",
-              drizzle_result_error(&result), message);
-      safe_exit(EX_MYSQLERR);
-      drizzle_result_free(&result);
-    }
-    else
-      DBerror(&dcon, message);
-    return 1;
-  }
-  print_result(&result);
-  drizzle_result_free(&result);
-  free(query);
-  return 0;
-}
-
-
-static void print_result(drizzle_result_st *result)
-{
-  drizzle_row_t row;
-  char prev[DRIZZLE_MAX_COLUMN_NAME_SIZE*2+2];
-  uint32_t i;
-  bool found_error=0;
-
-  prev[0] = '\0';
-  for (i = 0; (row = drizzle_row_next(result)); i++)
-  {
-    int changed = strcmp(prev, (char *)row[0]);
-    bool status = !strcmp((char *)row[2], "status");
-
-    if (status)
-    {
-      found_error=0;
-      if (opt_silent)
-        continue;
-    }
-    if (status && changed)
-      printf("%-50s %s", row[0], row[3]);
-    else if (!status && changed)
-    {
-      printf("%s\n%-9s: %s", row[0], row[2], row[3]);
-      if (strcmp((char *)row[2],"note"))
-        found_error=1;
-    }
-    else
-      printf("%-9s: %s", (char *)row[2], (char *)row[3]);
-    strcpy(prev, (char *)row[0]);
-    putchar('\n');
-  }
-}
-
-
-static int dbConnect(char *host, char *user, char *passwd)
-{
-
-  if (verbose)
-  {
-    fprintf(stderr, "# Connecting to %s...\n", host ? host : "localhost");
-  }
-  drizzle_create(&drizzle);
-  drizzle_con_create(&drizzle, &dcon);
-  drizzle_con_set_tcp(&dcon, host, opt_drizzle_port);
-  drizzle_con_set_auth(&dcon, user, passwd);
-  if (drizzle_con_connect(&dcon) != DRIZZLE_RETURN_OK)
-  {
-    DBerror(&dcon, "when trying to connect");
-    return 1;
-  }
-  return 0;
-} /* dbConnect */
-
-
-static void dbDisconnect(char *host)
-{
-  if (verbose)
-    fprintf(stderr, "# Disconnecting from %s...\n", host ? host : "localhost");
-  drizzle_free(&drizzle);
-} /* dbDisconnect */
-
-
-static void DBerror(drizzle_con_st *con, const char *when)
-{
-  fprintf(stderr,"Got error: %s %s", drizzle_con_error(con), when);
-  safe_exit(EX_MYSQLERR);
-  return;
-} /* DBerror */
-
-
-static void safe_exit(int error)
-{
-  if (!first_error)
-    first_error= error;
-  if (ignore_errors)
-    return;
-  drizzle_free(&drizzle);
-  exit(error);
-}
-
-
-int main(int argc, char **argv)
-{
-  MY_INIT(argv[0]);
-  /*
-  ** Check out the args
-  */
-  if (get_options(&argc, &argv))
-  {
-    my_end(my_end_arg);
-    exit(EX_USAGE);
-  }
-  if (dbConnect(current_host, current_user, opt_password))
-    exit(EX_MYSQLERR);
-
-  if (opt_alldbs)
-    process_all_databases();
-  /* Only one database and selected table(s) */
-  else if (argc > 1 && !opt_databases)
-    process_selected_tables(*argv, (argv + 1), (argc - 1));
-  /* One or more databases, all tables */
-  else
-    process_databases(argv);
-
-  dbDisconnect(current_host);
-  free(opt_password);
-  my_end(my_end_arg);
-  return(first_error!=0);
-} /* main */

=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2009-07-16 19:30:03 +0000
+++ client/drizzletest.cc	2009-07-26 03:10:33 +0000
@@ -47,6 +47,9 @@
 #include <iostream>
 #include <vector>
 #include <algorithm>
+#ifdef HAVE_SYS_WAIT_H
+#include <sys/wait.h>
+#endif
 
 #include PCRE_HEADER
 
@@ -4485,7 +4488,7 @@
   }
   if (!(*command_ptr= command=
         (struct st_command*) malloc(sizeof(*command))))
-    die(NULL);
+    die("command malloc failed");
   memset(command, 0, sizeof(*command));
   q_lines.push_back(command);
   command->type= Q_UNKNOWN;

=== modified file 'config/register_plugins.py'
--- config/register_plugins.py	2009-05-29 10:53:14 +0000
+++ config/register_plugins.py	2009-07-27 17:26:22 +0000
@@ -47,7 +47,7 @@
 
 for plugin_dir in plugin_list:
   plugin_file= os.path.join(plugin_dir,plugin_ini_fname)
-  parser=ConfigParser.ConfigParser(defaults=dict(sources="",headers="", cflags="",cppflags="",cxxflags="", libs="", ldflags=""))
+  parser=ConfigParser.ConfigParser(defaults=dict(sources="",headers="", cflags="",cppflags="",cxxflags="", libs="", ldflags="", testsuite=""))
   parser.read(plugin_file)
   plugin=dict(parser.items('plugin'))
   plugin['rel_path']= plugin_dir[len(top_srcdir)+len(os.path.sep):]
@@ -165,6 +165,13 @@
                [test %(build_conditional)s])
 AS_IF([test "x$with_%(name)s_plugin" = "xyes"],
       [
+  """ % plugin)
+  if plugin['testsuite'] != "":
+    plugin_ac.write("""
+        drizzled_plugin_test_list="%(testsuite)s,${drizzled_plugin_test_list}"
+    """ % plugin)
+
+  plugin_ac.write("""
         drizzled_default_plugin_list="%(name)s,${drizzled_default_plugin_list}"
         drizzled_builtin_list="builtin_%(name)s_plugin,${drizzled_builtin_list}"
         drizzled_plugin_libs="${drizzled_plugin_libs} \${top_builddir}/plugin/lib%(name)s_plugin.la"

=== modified file 'configure.ac'
--- configure.ac	2009-07-14 22:35:09 +0000
+++ configure.ac	2009-07-27 17:26:22 +0000
@@ -39,37 +39,6 @@
 ac_build_drizzle="yes"
 
 
-# Canonicalize the configuration name.
-
-AC_DEFINE_UNQUOTED([HOST_VENDOR], ["$host_vendor"],[Vendor of Build System])
-AC_DEFINE_UNQUOTED([HOST_OS], ["$host_os"], [OS of Build System])
-AC_DEFINE_UNQUOTED([HOST_CPU], ["$host_cpu"], [CPU of Build System])
-
-AC_DEFINE_UNQUOTED([TARGET_VENDOR], ["$target_vendor"],[Vendor of Target System])
-AC_DEFINE_UNQUOTED([TARGET_OS], ["$target_os"], [OS of Target System])
-AC_DEFINE_UNQUOTED([TARGET_CPU], ["$target_cpu"], [CPU of Target System])
-
-
-case "$target_os" in
-  *linux*)
-  TARGET_LINUX="true"
-  AC_SUBST(TARGET_LINUX)
-  AC_DEFINE([TARGET_OS_LINUX], [1], [Whether we build for Linux])
-    ;;
-  *darwin*)
-    TARGET_OSX="true"
-    AC_SUBST(TARGET_OSX)
-    AC_DEFINE([TARGET_OS_OSX], [1], [Whether we build for OSX])
-    ;;
-  *solaris*)
-    TARGET_SOLARIS="true"
-    AC_SUBST(TARGET_SOLARIS)
-    AC_DEFINE([TARGET_OS_SOLARIS], [1], [Whether we are building for Solaris])
-    ;;
-  *)
-    ;;
-esac
-
 AC_PATH_PROG(GPERF, gperf)
 AS_IF([test "x$GPERF" = "x"],
       AC_MSG_ERROR("Drizzle requires gperf to build."))
@@ -100,48 +69,11 @@
 AC_CXX_CSTDINT
 AC_CXX_CINTTYPES
 
-#--------------------------------------------------------------------
-# Check for libpthread
-#--------------------------------------------------------------------
-
-ACX_PTHREAD(,AC_MSG_ERROR(could not find libpthread))
-LIBS="${PTHREAD_LIBS} ${LIBS}"
-AM_CFLAGS="${PTHREAD_CFLAGS} ${AM_CFLAGS}"
-CC="$PTHREAD_CC"
-
-#--------------------------------------------------------------------
-# Check for Google Proto Buffers
-#--------------------------------------------------------------------
-
-AC_LANG_PUSH([C++])
-AC_LIB_HAVE_LINKFLAGS(protobuf,pthread,
-[#include <google/protobuf/descriptor.h>
-],
-[google::protobuf::FileDescriptor* file;],system)
-AS_IF([test x$ac_cv_libprotobuf = xno],
-      AC_MSG_ERROR([protobuf is required for Drizzle. On Debian this can be found in libprotobuf-dev. On RedHat this can be found in protobuf-devel.]))
-
-AC_CACHE_CHECK([if protobuf is recent enough], [drizzle_cv_protobuf_recent],
-  [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
-#include <google/protobuf/descriptor.h>
-#if GOOGLE_PROTOBUF_VERSION < 2000002
-# error Your version of Protobuf is too old
-#endif
-    ]])],
-    [drizzle_cv_protobuf_recent=yes],
-    [drizzle_cv_protobuf_recent=no])])
-if test "$drizzle_cv_protobuf_recent" = "no"
-then
-  AC_MSG_ERROR([Your version of Google Protocol Buffers is too old. Drizzle requires at least version 2.0.2])
-fi
-
-AC_PATH_PROG([PROTOC],[protoc],[no],[$LIBPROTOBUF_PREFIX/bin:$PATH])
-if test "x$PROTOC" = "xno"
-then
-  AC_MSG_ERROR([Couldn't find the protoc compiler. On Debian this can be found in protobuf-compiler. On RedHat this can be found in protobuf-compiler.])
-fi
-
-AC_LANG_POP()
+PANDORA_REQUIRE_PTHREAD
+
+PANDORA_REQUIRE_LIBPROTOBUF
+PANDORA_PROTOBUF_RECENT
+PANDORA_REQUIRE_PROTOC
 
 #--------------------------------------------------------------------
 # Check for libuuid
@@ -546,7 +478,7 @@
   fdatasync fpresetsticky fpsetmask fsync \
   getpassphrase getpwnam \
   getpwuid getrlimit getrusage index initgroups isnan \
-  localtime_r gethrtime gmtime_r \
+  localtime_r log log2 gethrtime gmtime_r \
   madvise \
   mkstemp mlockall poll pread pthread_attr_create mmap mmap64 \
   pthread_attr_getstacksize pthread_attr_setprio pthread_attr_setschedparam \
@@ -757,6 +689,7 @@
 drizzled_builtin_list=`echo $drizzled_builtin_list | sed 's/, *$//'`
 AC_DEFINE_UNQUOTED([DRIZZLED_BUILTIN_LIST],[$drizzled_builtin_list],
                    [List of plugins to be loaded in sql_builtin.cc])
+AC_SUBST(drizzled_plugin_test_list)
 AC_SUBST(drizzled_plugin_libs)
 
 AC_SUBST(mysql_plugin_dirs)

=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2009-07-27 04:14:30 +0000
+++ drizzled/Makefile.am	2009-07-28 00:23:04 +0000
@@ -690,7 +690,7 @@
 symbol_hash.h: symbol_hash.stamp-h
 
 .gperf.stamp-h:
-	$(GPERF) --initializer-suffix=,0 --struct-type --enum \
+	$(GPERF) -D --initializer-suffix=,0 --struct-type --enum \
 		--omit-struct-type --readonly-tables --language=C++ \
 		--class-name=$* $<  > $@
 	@if ! test $$? ; then rm $@ ; fi

=== modified file 'drizzled/handler.cc'
--- drizzled/handler.cc	2009-07-01 02:41:00 +0000
+++ drizzled/handler.cc	2009-07-26 18:58:41 +0000
@@ -2957,6 +2957,9 @@
   return false;
 }
 
+#ifndef HAVE_LOG2
+#define log2(x)  (log(x) / M_LN2)
+#endif
 
 /*
   Get cost of one sort-and-sweep step

=== modified file 'drizzled/message/binlog_encoding.h'
--- drizzled/message/binlog_encoding.h	2009-03-02 15:57:39 +0000
+++ drizzled/message/binlog_encoding.h	2009-07-26 03:10:33 +0000
@@ -39,7 +39,7 @@
     uint_fast8_t pow2= 1;          // pow2(log2m1 + 1)
     while (length > 0) {
       // Check the invariants
-      assert(pow2 == (1 << (log2m1 + 1)));
+      assert(((int_fast8_t)pow2) == (1 << (log2m1 + 1)));
       assert((ptr - buf) <= (1 << (log2m1 + 1)));
 
       // Write the least significant byte of the current

=== modified file 'gnulib/Makefile.am'
--- gnulib/Makefile.am	2009-04-18 06:25:27 +0000
+++ gnulib/Makefile.am	2009-07-27 00:07:54 +0000
@@ -27,6 +27,7 @@
 MAINTAINERCLEANFILES =
 
 noinst_LTLIBRARIES += libgnu.la
+AM_CFLAGS= 
 
 libgnu_la_SOURCES =
 libgnu_la_LIBADD = $(gl_LTLIBOBJS)

=== modified file 'm4/pandora_64bit.m4'
--- m4/pandora_64bit.m4	2009-07-18 22:10:19 +0000
+++ m4/pandora_64bit.m4	2009-07-26 21:02:25 +0000
@@ -26,10 +26,6 @@
     isainfo_k=`${ISAINFO} -k` 
     DTRACEFLAGS="${DTRACEFLAGS} -${isainfo_k}"
 
-    AS_IF([test "x${ac_cv_env_CPPFLAGS_set}" = "x"],[
-      CPPFLAGS="-I/usr/local ${CPPFLAGS}"
-    ])
-
     AS_IF([test "x${ac_cv_env_LDFLAGS_set}" = "x"],[
       LDFLAGS="-L/usr/local/lib/${isainfo_k} ${LDFLAGS}"
     ])

=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2009-07-18 22:10:19 +0000
+++ m4/pandora_canonical.m4	2009-07-27 00:26:28 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.22])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.31])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   dnl Force dependency tracking on for Sun Studio builds
@@ -73,9 +73,7 @@
     AS_IF([test "$GCC" = "yes"], PANDORA_ENSURE_GCC_VERSION)
   ])
 
-  AC_CHECK_DECL([__SUNPRO_C], [SUNCC="yes"], [SUNCC="no"])
-  AC_CHECK_DECL([__ICC], [INTELCC="yes"], [INTELCC="no"])
-  AS_IF([test "x$INTELCC" = "xyes"], [enable_rpath=no])
+  PANDORA_PLATFORM
 
   PANDORA_LIBTOOL
 

=== added file 'm4/pandora_have_libpq.m4'
--- m4/pandora_have_libpq.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_have_libpq.m4	2009-07-26 06:44:13 +0000
@@ -0,0 +1,31 @@
+dnl  Copyright (C) 2009 Sun Microsystems
+dnl This file is free software; Sun Microsystems
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+
+AC_DEFUN([_PANDORA_SEARCH_LIBPQ],[
+  AC_REQUIRE([AC_LIB_PREFIX])
+
+  dnl --------------------------------------------------------------------
+  dnl  Check for libpq
+  dnl --------------------------------------------------------------------
+
+  AC_LIB_HAVE_LINKFLAGS(pq,,[
+    #include <libpq-fe.h>
+  ], [
+    PGconn *conn;
+    conn = PQconnectdb(NULL);
+  ])
+  
+  AM_CONDITIONAL(HAVE_LIBPQ, [test "x${ac_cv_libpq}" = "xyes"])
+])
+
+AC_DEFUN([PANDORA_HAVE_LIBPQ],[
+  AC_REQUIRE([_PANDORA_SEARCH_LIBPQ])
+])
+
+AC_DEFUN([PANDORA_REQUIRE_LIBPQ],[
+  AC_REQUIRE([PANDORA_HAVE_LIBPQ])
+  AS_IF([test x$ac_cv_libpq = xno],
+      AC_MSG_ERROR([libpq is required for ${PACKAGE}]))
+])

=== added file 'm4/pandora_have_protobuf.m4'
--- m4/pandora_have_protobuf.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_have_protobuf.m4	2009-07-26 20:11:34 +0000
@@ -0,0 +1,74 @@
+dnl -*- mode: m4; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+dnl vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+dnl   
+dnl pandora-build: A pedantic build system
+dnl Copyright (C) 2009 Sun Microsystems, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+dnl
+dnl From Monty Taylor
+
+dnl --------------------------------------------------------------------
+dnl  Check for Google Proto Buffers
+dnl --------------------------------------------------------------------
+
+AC_DEFUN([_PANDORA_SEARCH_LIBPROTOBUF],[
+  AC_REQUIRE([PANDORA_HAVE_PTHREAD])
+
+  AC_LANG_PUSH([C++])
+  save_CXXFLAGS="${CXXFLAGS}"
+  CXXFLAGS="${PTHREAD_CFLAGS} ${CXXFLAGS}"
+  AC_LIB_HAVE_LINKFLAGS(protobuf,,
+    [#include <google/protobuf/descriptor.h>],
+    [google::protobuf::FileDescriptor* file;],
+    [system])
+  CXXFLAGS="${save_CXXFLAGS}"
+  AC_LANG_POP()
+])
+
+AC_DEFUN([PANDORA_HAVE_LIBPROTOBUF],[
+  AC_REQUIRE([_PANDORA_SEARCH_LIBPROTOBUF])
+])
+
+AC_DEFUN([PANDORA_REQUIRE_LIBPROTOBUF],[
+  AC_REQUIRE([PANDORA_HAVE_LIBPROTOBUF])
+  AS_IF([test x$ac_cv_libprotobuf = xno],
+      AC_MSG_ERROR([libprotobuf is required for ${PACKAGE}. On Debian this can be found in libprotobuf-dev. On RedHat this can be found in protobuf-devel.]))
+])
+
+AC_DEFUN([PANDORA_PROTOBUF_RECENT],[
+  AC_REQUIRE([_PANDORA_SEARCH_LIBPROTOBUF])
+  AC_LANG_PUSH([C++])
+  AC_CACHE_CHECK([if protobuf is recent enough], [drizzle_cv_protobuf_recent],
+    [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
+#include <google/protobuf/descriptor.h>
+#if GOOGLE_PROTOBUF_VERSION < 2000002
+# error Your version of Protobuf is too old
+#endif
+      ]])],
+      [drizzle_cv_protobuf_recent=yes],
+      [drizzle_cv_protobuf_recent=no])])
+  AS_IF([test "$drizzle_cv_protobuf_recent" = "no"],[
+    AC_MSG_ERROR([Your version of Google Protocol Buffers is too old. ${PACKAGE} requires at least version 2.0.2])
+  ])
+  AC_LANG_POP()
+])
+
+AC_DEFUN([_PANDORA_SEARCH_PROTOC],[
+  AC_REQUIRE([_PANDORA_SEARCH_LIBPROTOBUF])
+  AC_PATH_PROG([PROTOC],[protoc],[no],[$LIBPROTOBUF_PREFIX/bin:$PATH])
+])
+
+AC_DEFUN([PANDORA_HAVE_PROTOC],[
+  AC_REQUIRE([_PANDORA_SEARCH_PROTOC])
+])
+
+AC_DEFUN([PANDORA_REQUIRE_PROTOC],[
+  AC_REQUIRE([PANDORA_HAVE_PROTOC])
+  AS_IF([test "x$PROTOC" = "xno"],[
+    AC_MSG_ERROR([Couldn't find the protoc compiler. On Debian this can be found in protobuf-compiler. On RedHat this can be found in protobuf-compiler.])
+  ])
+])
+
+

=== added file 'm4/pandora_platform.m4'
--- m4/pandora_platform.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_platform.m4	2009-07-27 00:00:32 +0000
@@ -0,0 +1,68 @@
+dnl -*- mode: m4; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+dnl vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+dnl   
+dnl pandora-build: A pedantic build system
+dnl Copyright (C) 2009 Sun Microsystems, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+dnl
+dnl From Monty Taylor
+
+AC_DEFUN([PANDORA_PLATFORM],[
+
+  dnl Canonicalize the configuration name.
+
+  AC_DEFINE_UNQUOTED([HOST_VENDOR], ["$host_vendor"],[Vendor of Build System])
+  AC_DEFINE_UNQUOTED([HOST_OS], ["$host_os"], [OS of Build System])
+  AC_DEFINE_UNQUOTED([HOST_CPU], ["$host_cpu"], [CPU of Build System])
+
+  AC_DEFINE_UNQUOTED([TARGET_VENDOR], ["$target_vendor"],[Vendor of Target System])
+  AC_DEFINE_UNQUOTED([TARGET_OS], ["$target_os"], [OS of Target System])
+  AC_DEFINE_UNQUOTED([TARGET_CPU], ["$target_cpu"], [CPU of Target System])
+
+
+  case "$target_os" in
+    *solaris*|*freebsd*)
+    AS_IF([test "x${ac_cv_env_CPPFLAGS_set}" = "x"],[
+      CPPFLAGS="${CPPFLAGS} -I/usr/local/include"
+    ])
+
+    AS_IF([test "x${ac_cv_env_LDFLAGS_set}" = "x"],[
+      LDFLAGS="${LDFLAGS} -L/usr/local/lib"
+    ])
+    ;;
+  esac
+
+  case "$target_os" in
+    *linux*)
+    TARGET_LINUX="true"
+    AC_SUBST(TARGET_LINUX)
+    AC_DEFINE([TARGET_OS_LINUX], [1], [Whether we build for Linux])
+      ;;
+    *darwin*)
+      TARGET_OSX="true"
+      AC_SUBST(TARGET_OSX)
+      AC_DEFINE([TARGET_OS_OSX], [1], [Whether we build for OSX])
+      ;;
+    *solaris*)
+      TARGET_SOLARIS="true"
+      AC_SUBST(TARGET_SOLARIS)
+      AC_DEFINE([TARGET_OS_SOLARIS], [1], [Whether we are building for Solaris])
+      ;;
+    *freebsd*)
+      TARGET_FREEBSD="true"
+      AC_SUBST(TARGET_FREEBSD)
+      AC_DEFINE([TARGET_OS_FREEBSD], [1], [Whether we are building for FreeBSD])
+      AC_DEFINE([__APPLE_CC__],[1],[Workaround for bug in FreeBSD headers])
+      ;;
+    *)
+      ;;
+  esac
+
+  AC_CHECK_DECL([__SUNPRO_C], [SUNCC="yes"], [SUNCC="no"])
+  AC_CHECK_DECL([__ICC], [INTELCC="yes"], [INTELCC="no"])
+
+  AS_IF([test "x$INTELCC" = "xyes"], [enable_rpath=no])
+
+])

=== added file 'm4/pandora_pthread.m4'
--- m4/pandora_pthread.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_pthread.m4	2009-07-26 20:11:34 +0000
@@ -0,0 +1,34 @@
+dnl -*- mode: m4; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+dnl vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+dnl   
+dnl pandora-build: A pedantic build system
+dnl Copyright (C) 2009 Sun Microsystems, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+dnl
+dnl From Monty Taylor
+
+
+dnl --------------------------------------------------------------------
+dnl  Check for libpthread
+dnl --------------------------------------------------------------------
+
+AC_DEFUN([_PANDORA_SEARCH_PTHREAD],[
+  ACX_PTHREAD
+  LIBS="${PTHREAD_LIBS} ${LIBS}"
+  AM_CFLAGS="${PTHREAD_CFLAGS} ${AM_CFLAGS}"
+  AM_CXXFLAGS="${PTHREAD_CFLAGS} ${AM_CXXFLAGS}"
+  CC="$PTHREAD_CC"
+])
+
+
+AC_DEFUN([PANDORA_HAVE_PTHREAD],[
+  AC_REQUIRE([_PANDORA_SEARCH_PTHREAD])
+])
+
+AC_DEFUN([PANDORA_REQUIRE_PTHREAD],[
+  AC_REQUIRE([PANDORA_HAVE_PTHREAD])
+  AS_IF([test "x$acx_pthread_ok" != "xyes"],[
+    AC_MSG_ERROR(could not find libpthread)])
+])

=== added file 'm4/pandora_swig.m4'
--- m4/pandora_swig.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_swig.m4	2009-07-26 06:44:13 +0000
@@ -0,0 +1,32 @@
+dnl -*- mode: m4; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+dnl vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+dnl   
+dnl pandora-build: A pedantic build system
+dnl Copyright (C) 2009 Sun Microsystems, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+dnl
+dnl From Monty Taylor
+
+AC_DEFUN([PANDORA_SWIG],[
+
+  AC_PROG_SWIG(1.3.36)
+  AC_DEFINE([SWIG_TYPE_TABLE],
+    [libgearman],
+    [Type Table name for SWIG symbol table])
+
+  dnl Have to hard-code /usr/local/include and /usr/include into the path.
+  dnl I hate this. Why is swig sucking me
+  SWIG="$SWIG \${DEFS} -I\${top_srcdir} -I\${top_builddir} -I/usr/local/include -I/usr/include"
+  AC_SUBST([SWIG])
+
+
+  AC_CACHE_CHECK([if swig supports Python3],
+    [ac_cv_swig_has_python3_],
+    [
+      AS_IF([swig -python3 2>&1 | grep "Unable to find" > /dev/null],
+        [ac_cv_swig_has_python3_=no],
+        [ac_cv_swig_has_python3_=yes])
+    ])
+])

=== modified file 'm4/pandora_warnings.m4'
--- m4/pandora_warnings.m4	2009-07-18 22:10:19 +0000
+++ m4/pandora_warnings.m4	2009-07-27 00:26:28 +0000
@@ -206,7 +206,9 @@
             [CXX_WARNINGS="${CXX_WARNINGS} -Wno-redundant-decls"])
   
       NO_REDUNDANT_DECLS="-Wno-redundant-decls"
-      PROTOSKIP_WARNINGS="-Wno-effc++ -Wno-shadow"
+      dnl TODO: Figure out a better way to deal with this:
+      PROTOSKIP_WARNINGS="-Wno-effc++ -Wno-shadow -Wno-missing-braces"
+      INNOBASE_SKIP_WARNINGS="-Wno-shadow -Wno-cast-align"
       
     ])
   ])
@@ -258,5 +260,6 @@
   AC_SUBST(NO_SHADOW)
   AC_SUBST(NO_STRICT_ALIASING)
   AC_SUBST(PROTOSKIP_WARNINGS)
+  AC_SUBST(INNOBASE_SKIP_WARNINGS)
 
 ])

=== added file 'm4/pandora_with_lua.m4'
--- m4/pandora_with_lua.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_with_lua.m4	2009-07-26 06:44:13 +0000
@@ -0,0 +1,45 @@
+dnl -*- mode: m4; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+dnl vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+dnl   
+dnl pandora-build: A pedantic build system
+dnl Copyright (C) 2009 Sun Microsystems, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+dnl
+dnl From Monty Taylor
+
+AC_DEFUN([PANDORA_WITH_LUA],[
+    dnl Check for lua
+    AC_ARG_WITH([lua], 
+    [AS_HELP_STRING([--with-lua],
+      [Build Lua Bindings @<:@default=yes@:>@])],
+    [with_lua=$withval], 
+    [with_lua=yes])
+
+  AS_IF([test "x$with_lua" != "xno"],[
+    AS_IF([test "x$with_lua" = "xyes"],
+      [LUAPC=lua],
+      [LUAPC=$with_lua])
+
+    PKG_CHECK_MODULES([LUA], $LUAPC >= 5.1, [
+      AC_DEFINE([HAVE_LUA], [1], [liblua])
+      AC_DEFINE([HAVE_LUA_H], [1], [lua.h])
+      with_lua=yes
+    ],[
+      PKG_CHECK_MODULES([LUA], lua5.1 >= 5.1, [
+        AC_DEFINE([HAVE_LUA], [1], [liblua])
+        AC_DEFINE([HAVE_LUA_H], [1], [lua.h])
+	with_lua=yes
+      ],[
+        AC_DEFINE([HAVE_LUA],["x"],["x"])
+        with_lua=no
+      ])
+    ])
+
+   AC_SUBST(LUA_CFLAGS)
+   AC_SUBST(LUA_LIBS)
+  ])
+  AM_CONDITIONAL(BUILD_LUA, test "$with_lua" = "yes")
+
+])

=== added file 'm4/pandora_with_perl.m4'
--- m4/pandora_with_perl.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_with_perl.m4	2009-07-26 06:44:13 +0000
@@ -0,0 +1,38 @@
+dnl -*- mode: m4; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+dnl vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+dnl   
+dnl pandora-build: A pedantic build system
+dnl Copyright (C) 2009 Sun Microsystems, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+dnl
+dnl From Monty Taylor
+
+
+AC_DEFUN([PANDORA_WITH_PERL], [
+
+  AC_ARG_WITH([perl], 
+    [AS_HELP_STRING([--with-perl],
+      [Build Perl Bindings @<:@default=yes@:>@])],
+    [with_perl=$withval], 
+    [with_perl=yes])
+
+
+  AS_IF([test "x$with_perl" != "xno"],[
+    AS_IF([test "x$with_perl" != "xyes"],
+      [ac_chk_perl=$with_perl],
+      [ac_chk_perl=perl])
+    AC_CHECK_PROGS(PERL,$ac_chk_perl)
+  ])
+
+  AM_CONDITIONAL(BUILD_PERL, [test "$with_perl" = "yes"])
+
+dnl Don't think we need these anymore, but it's a good reference
+dnl if test "x$PERL" != "x"; then
+dnl  PERLCCFLAGS=`$PERL -MConfig -e 'print $Config{ccflags};'`
+dnl  PERLCPPFLAGS=`$PERL -MConfig -e 'print $Config{cppflags};'`
+dnl  PERLLIBS=`$PERL -MConfig -e 'print $Config{perllibs};'`
+dnl fi 
+
+])

=== added file 'm4/pandora_with_php.m4'
--- m4/pandora_with_php.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_with_php.m4	2009-07-26 06:44:13 +0000
@@ -0,0 +1,56 @@
+dnl -*- mode: m4; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+dnl vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+dnl   
+dnl pandora-build: A pedantic build system
+dnl Copyright (C) 2009 Sun Microsystems, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+dnl
+dnl From Monty Taylor
+
+
+AC_DEFUN([PANDORA_WITH_PHP],[
+
+  AC_ARG_WITH([php],
+    [AS_HELP_STRING([--with-php],
+      [Build NDB/PHP @<:@default=no@:>@])],
+    [with_php=$withval],
+    [with_php=no])
+
+  AS_IF([test "x$with_php" != "xno"],[
+    dnl We explicitly requested PHP build. Fail on too-young SWIG.
+    AS_IF([test "x$SWIG_CAN_BUILD_PHP" != "xyes"],
+      [AC_MSG_ERROR("Your version of SWIG is too young to build NDB/PHP. >=1.3.33 is required!")])
+    AS_IF([test "x$with_php" != "xyes"],
+      [ac_check_php_config=$with_php],
+      [ac_check_php_config="php-config php-config5"])
+      AC_CHECK_PROGS(PHP_CONFIG, [$ac_check_php_config])
+    ])
+
+  AS_IF([test "x$PHP_CONFIG" != "x"],[
+    PHP_CFLAGS=`$PHP_CONFIG --includes`
+    PHP_CPPFLAGS=`$PHP_CONFIG --includes`
+    PHP_LDFLAGS=`$PHP_CONFIG --ldflags`
+    PHP_EXTDIR=`$PHP_CONFIG --extension-dir`
+    strip_php_prefix=`$PHP_CONFIG --prefix | sed 's/\//./g'`
+    PHP_ARCH_DIR=`echo $PHP_EXTDIR | sed "s/$strip_php_prefix//"`
+  ],[
+    PHP_CFLAGS=
+    PHP_CPPFLAGS=
+    PHP_LDFLAGS=
+    PHP_EXTDIR=
+    PHP_ARCH_DIR=
+    with_php=no
+  ])
+
+  AC_SUBST(PHP_CFLAGS)
+  AC_SUBST(PHP_CPPFLAGS)
+  AC_SUBST(PHP_LDFLAGS)
+  AC_SUBST(PHP_EXTDIR)
+  AC_SUBST(PHP_ARCH_DIR)
+
+  AM_CONDITIONAL(BUILD_PHP, test "$with_php" = "yes")
+  
+])
+

=== added file 'm4/pandora_with_python.m4'
--- m4/pandora_with_python.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_with_python.m4	2009-07-26 06:44:13 +0000
@@ -0,0 +1,28 @@
+dnl -*- mode: m4; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+dnl vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+dnl   
+dnl pandora-build: A pedantic build system
+dnl Copyright (C) 2009 Sun Microsystems, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+dnl
+dnl From Monty Taylor
+
+
+AC_DEFUN([PANDORA_WITH_PYTHON], [
+
+  AC_ARG_WITH([python], 
+    [AS_HELP_STRING([--with-python],
+      [Build Python Bindings @<:@default=yes@:>@])],
+    [with_python=$withval], 
+    [with_python=yes])
+
+  AS_IF([test "x$with_python" != "xno"],[
+    AS_IF([test "x$with_python" != "xyes"],[PYTHON=$with_python])
+    AM_PATH_PYTHON([2.4],,[with_python="no"])
+    AC_PYTHON_DEVEL()
+    AS_IF([test "x$pythonexists" = "xno"],[with_python="no"])
+  ])
+  AM_CONDITIONAL(BUILD_PYTHON, [test "$with_python" = "yes"])
+])

=== added file 'm4/pandora_with_python3.m4'
--- m4/pandora_with_python3.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_with_python3.m4	2009-07-26 06:44:13 +0000
@@ -0,0 +1,35 @@
+dnl -*- mode: m4; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+dnl vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+dnl   
+dnl pandora-build: A pedantic build system
+dnl Copyright (C) 2009 Sun Microsystems, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+dnl
+dnl From Monty Taylor
+
+AC_DEFUN([PANDORA_WITH_PYTHON3], [
+
+  AC_REQUIRE([PANDORA_SWIG])
+
+  AC_ARG_WITH([python3], 
+    [AS_HELP_STRING([--with-python3],
+      [Build Python3 Bindings @<:@default=yes@:>@])],
+    [with_python3=$withval], 
+    [with_python3=yes])
+
+  AS_IF([test "x$ac_cv_swig_has_python3_" != "xno"],[
+   AS_IF([test "x$with_python3" != "xno"],[
+     AS_IF([test "x$with_python3" != "xyes"],
+       [PYTHON3=$with_python3],
+       [AC_PATH_PROG([PYTHON3],[python3],[no])
+        AS_IF([test "x$PYTHON3" = "xno"],
+          [with_python3=no])
+     ]) 
+   ])
+  ],[
+     with_python3=no
+  ])
+AM_CONDITIONAL(BUILD_PYTHON3, [test "$with_python3" = "yes"])
+])

=== added file 'm4/pandora_with_r.m4'
--- m4/pandora_with_r.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_with_r.m4	2009-07-26 06:44:13 +0000
@@ -0,0 +1,33 @@
+dnl -*- mode: m4; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+dnl vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+dnl   
+dnl pandora-build: A pedantic build system
+dnl Copyright (C) 2009 Sun Microsystems, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+dnl
+dnl From Monty Taylor
+
+AC_DEFUN([PANDORA_WITH_R],[
+    dnl Check for GNU R
+    AC_ARG_WITH([r], 
+    [AS_HELP_STRING([--with-r],
+      [Build R Bindings @<:@default=yes@:>@])],
+    [with_r=$withval], 
+    [with_r=yes])
+
+  AS_IF([test "x$with_r" != "xno"],[
+
+    PKG_CHECK_MODULES([R], [libR], [
+      with_r=yes
+    ],[
+      with_r=no
+    ])
+
+   AC_SUBST(R_CFLAGS)
+   AC_SUBST(R_LIBS)
+  ])
+  AM_CONDITIONAL(BUILD_R, test "$with_r" = "yes")
+
+])

=== added file 'm4/pandora_with_ruby.m4'
--- m4/pandora_with_ruby.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_with_ruby.m4	2009-07-26 06:44:13 +0000
@@ -0,0 +1,79 @@
+dnl -*- mode: m4; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+dnl vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+dnl   
+dnl pandora-build: A pedantic build system
+dnl Copyright (C) 2009 Sun Microsystems, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+dnl
+dnl From Monty Taylor
+
+
+AC_DEFUN([PANDORA_WITH_RUBY], [
+
+  AC_ARG_WITH([ruby],
+    [AS_HELP_STRING([--with-ruby],
+      [Build Ruby Bindings @<:@default=yes@:>@])],
+      [with_ruby=$withval],
+      [with_ruby=ruby])
+
+  AS_IF([test "x$with_ruby" != "xno"],[
+    AS_IF([test "x$with_ruby" != "xyes"],
+      [ac_chk_ruby=$with_ruby],
+      [ac_chk_ruby=ruby1.8 ruby])
+    AC_CHECK_PROGS(RUBY,$ac_chk_ruby)
+  ])
+
+  AS_IF([test "x$RUBY" != "x"],[
+
+    AC_MSG_CHECKING(for ruby devel)
+
+    dnl need to change quotes to allow square brackets
+    changequote(<<, >>)dnl
+    ruby_prefix=`$RUBY -rrbconfig -e "print Config::CONFIG['archdir']"`
+    strip_ruby_prefix=`$RUBY -rrbconfig -e "print Config::CONFIG['prefix']" | sed 's/\//./g'`
+    
+    RUBY_LIB=`$RUBY -rrbconfig -e "puts Config::CONFIG['ruby_install_name']"`
+    LIBRUBYARG_SHARED=`$RUBY -rrbconfig -e "puts Config::CONFIG['LIBRUBYARG_SHARED']"`
+    RUBY_DIR=`$RUBY -rrbconfig -e "puts Config::CONFIG['archdir']"`
+    RUBY_ARCH_DIR=`echo $RUBY_DIR | sed "s/$strip_ruby_prefix//"`
+    RUBY_LIBDIR=`$RUBY -rrbconfig -e "puts Config::CONFIG['rubylibdir']"`
+    RUBY_INCLUDES="-I$ruby_prefix"
+    changequote([, ])dnl
+
+    ac_save_CFLAGS="$CFLAGS"
+    ac_save_CPPFLAGS="$CPPFLAGS"
+    ac_save_LDFLAGS="$LDFLAGS"
+    CFLAGS="$ac_save_CFLAGS $RUBY_INCLUDES"
+    CPPFLAGS="$ac_save_CPPFLAGS $RUBY_INCLUDES"
+    LDFLAGS="$ac_save_LDFLAGS $LIBRUBYARG_SHARED"
+    
+    AC_LINK_IFELSE([AC_LANG_PROGRAM([[#include <ruby.h>]], [[VALUE rb_ac_test = rb_define_module("actest");]])],[with_ruby="yes";AC_MSG_RESULT(found)],[with_ruby="no";AC_MSG_RESULT(missing)])
+
+    CPPFLAGS="$ac_save_CPPFLAGS"
+    CFLAGS="$ac_save_CFLAGS"
+    LDFLAGS="$ac_save_LDFLAGS"
+  ],[
+    # This allows 'make clean' in the ruby directory to work when
+    # ruby isn't available
+    RUBY=
+    RUBY_INCLUDES=
+    LIBRUBYARG_SHARED=
+    RUBY_LIB=
+    RUBY_DIR=
+    RUBY_LIBDIR=
+    RUBY_ARCH_DIR=
+    with_ruby="no"
+  ])
+
+  AC_SUBST(RUBY_INCLUDES)
+  AC_SUBST(LIBRUBYARG_SHARED)
+  AC_SUBST(RUBY_LIB)
+  AC_SUBST(RUBY_DIR)
+  AC_SUBST(RUBY_LIBDIR)
+  AC_SUBST(RUBY_ARCH_DIR)
+
+  AS_IF([test "x$RUBY_DIR" = "x"],[with_ruby="no"])
+  AM_CONDITIONAL(BUILD_RUBY, test "$with_ruby" = "yes")
+])

=== added file 'm4/pkg.m4'
--- m4/pkg.m4	1970-01-01 00:00:00 +0000
+++ m4/pkg.m4	2009-07-26 06:44:13 +0000
@@ -0,0 +1,157 @@
+# pkg.m4 - Macros to locate and utilise pkg-config.            -*- Autoconf -*-
+# 
+# Copyright © 2004 Scott James Remnant <scott@netsplit.com>.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+# As a special exception to the GNU General Public License, if you
+# distribute this file as part of a program that contains a
+# configuration script generated by Autoconf, you may include it under
+# the same distribution terms that you use for the rest of that program.
+
+# PKG_PROG_PKG_CONFIG([MIN-VERSION])
+# ----------------------------------
+AC_DEFUN([PKG_PROG_PKG_CONFIG],
+[m4_pattern_forbid([^_?PKG_[A-Z_]+$])
+m4_pattern_allow([^PKG_CONFIG(_PATH)?$])
+AC_ARG_VAR([PKG_CONFIG], [path to pkg-config utility])dnl
+if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
+	AC_PATH_TOOL([PKG_CONFIG], [pkg-config])
+fi
+if test -n "$PKG_CONFIG"; then
+	_pkg_min_version=m4_default([$1], [0.9.0])
+	AC_MSG_CHECKING([pkg-config is at least version $_pkg_min_version])
+	if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
+		AC_MSG_RESULT([yes])
+	else
+		AC_MSG_RESULT([no])
+		PKG_CONFIG=""
+	fi
+		
+fi[]dnl
+])# PKG_PROG_PKG_CONFIG
+
+# PKG_CHECK_EXISTS(MODULES, [ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])
+#
+# Check to see whether a particular set of modules exists.  Similar
+# to PKG_CHECK_MODULES(), but does not set variables or print errors.
+#
+#
+# Similar to PKG_CHECK_MODULES, make sure that the first instance of
+# this or PKG_CHECK_MODULES is called, or make sure to call
+# PKG_CHECK_EXISTS manually
+# --------------------------------------------------------------
+AC_DEFUN([PKG_CHECK_EXISTS],
+[AC_REQUIRE([PKG_PROG_PKG_CONFIG])dnl
+if test -n "$PKG_CONFIG" && \
+    AC_RUN_LOG([$PKG_CONFIG --exists --print-errors "$1"]); then
+  m4_ifval([$2], [$2], [:])
+m4_ifvaln([$3], [else
+  $3])dnl
+fi])
+
+
+# _PKG_CONFIG([VARIABLE], [COMMAND], [MODULES])
+# ---------------------------------------------
+m4_define([_PKG_CONFIG],
+[if test -n "$PKG_CONFIG"; then
+    if test -n "$$1"; then
+        pkg_cv_[]$1="$$1"
+    else
+        PKG_CHECK_EXISTS([$3],
+                         [pkg_cv_[]$1=`$PKG_CONFIG --[]$2 "$3" 2>/dev/null`],
+			 [pkg_failed=yes])
+    fi
+else
+	pkg_failed=untried
+fi[]dnl
+])# _PKG_CONFIG
+
+# _PKG_SHORT_ERRORS_SUPPORTED
+# -----------------------------
+AC_DEFUN([_PKG_SHORT_ERRORS_SUPPORTED],
+[AC_REQUIRE([PKG_PROG_PKG_CONFIG])
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi[]dnl
+])# _PKG_SHORT_ERRORS_SUPPORTED
+
+
+# PKG_CHECK_MODULES(VARIABLE-PREFIX, MODULES, [ACTION-IF-FOUND],
+# [ACTION-IF-NOT-FOUND])
+#
+#
+# Note that if there is a possibility the first call to
+# PKG_CHECK_MODULES might not happen, you should be sure to include an
+# explicit call to PKG_PROG_PKG_CONFIG in your configure.ac
+#
+#
+# --------------------------------------------------------------
+AC_DEFUN([PKG_CHECK_MODULES],
+[AC_REQUIRE([PKG_PROG_PKG_CONFIG])dnl
+AC_ARG_VAR([$1][_CFLAGS], [C compiler flags for $1, overriding pkg-config])dnl
+AC_ARG_VAR([$1][_LIBS], [linker flags for $1, overriding pkg-config])dnl
+
+pkg_failed=no
+AC_MSG_CHECKING([for $1])
+
+_PKG_CONFIG([$1][_CFLAGS], [cflags], [$2])
+_PKG_CONFIG([$1][_LIBS], [libs], [$2])
+
+m4_define([_PKG_TEXT], [Alternatively, you may set the environment variables $1[]_CFLAGS
+and $1[]_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.])
+
+if test $pkg_failed = yes; then
+        _PKG_SHORT_ERRORS_SUPPORTED
+        if test $_pkg_short_errors_supported = yes; then
+	        $1[]_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "$2"`
+        else 
+	        $1[]_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$2"`
+        fi
+	# Put the nasty error message in config.log where it belongs
+	echo "$$1[]_PKG_ERRORS" >&AS_MESSAGE_LOG_FD
+
+	ifelse([$4], , [AC_MSG_ERROR(dnl
+[Package requirements ($2) were not met:
+
+$$1_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+_PKG_TEXT
+])],
+		[AC_MSG_RESULT([no])
+                $4])
+elif test $pkg_failed = untried; then
+	ifelse([$4], , [AC_MSG_FAILURE(dnl
+[The pkg-config script could not be found or is too old.  Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+_PKG_TEXT
+
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.])],
+		[$4])
+else
+	$1[]_CFLAGS=$pkg_cv_[]$1[]_CFLAGS
+	$1[]_LIBS=$pkg_cv_[]$1[]_LIBS
+        AC_MSG_RESULT([yes])
+	ifelse([$3], , :, [$3])
+fi[]dnl
+])# PKG_CHECK_MODULES

=== modified file 'mystrings/decimal.cc'
--- mystrings/decimal.cc	2009-06-24 22:50:51 +0000
+++ mystrings/decimal.cc	2009-07-26 03:10:33 +0000
@@ -106,7 +106,9 @@
 #include <plugin/myisam/myisampack.h>
 #include <drizzled/util/test.h>
 
+#ifdef HAVE_ALLOCA_H
 #include <alloca.h>
+#endif
 
 #include <algorithm>
 

=== modified file 'plugin/innobase/handler/ha_innodb.cc'
--- plugin/innobase/handler/ha_innodb.cc	2009-07-15 21:00:16 +0000
+++ plugin/innobase/handler/ha_innodb.cc	2009-07-26 03:10:33 +0000
@@ -352,10 +352,10 @@
 	return(ha_innobase_exts);
   }
 
-  int createTableImpl(Session *session, const char *table_name, Table *form,
+  UNIV_INTERN int createTableImpl(Session *session, const char *table_name, Table *form,
                       HA_CREATE_INFO *create_info);
-  int renameTableImpl(Session* session, const char* from, const char* to);
-  int deleteTableImpl(Session* session, const string table_path);
+  UNIV_INTERN int renameTableImpl(Session* session, const char* from, const char* to);
+  UNIV_INTERN int deleteTableImpl(Session* session, const string table_path);
 };
 
 /****************************************************************

=== modified file 'plugin/innobase/handler/ha_innodb.h'
--- plugin/innobase/handler/ha_innodb.h	2009-07-07 09:06:29 +0000
+++ plugin/innobase/handler/ha_innodb.h	2009-07-26 03:10:33 +0000
@@ -77,51 +77,51 @@
 					or undefined */
 	uint		num_write_row;	/* number of write_row() calls */
 
-	uint store_key_val_for_row(uint keynr, char* buff, uint buff_len,
-                                   const unsigned char* record);
-	void update_session(Session* session);
-	void update_session();
-	int change_active_index(uint32_t keynr);
-	int general_fetch(unsigned char* buf, uint32_t direction, uint32_t match_mode);
-	ulint innobase_lock_autoinc();
-	uint64_t innobase_peek_autoinc();
+	UNIV_INTERN uint store_key_val_for_row(uint keynr, char* buff, 
+                                   uint buff_len, const unsigned char* record);
+	UNIV_INTERN void update_session(Session* session);
+	UNIV_INTERN void update_session();
+	UNIV_INTERN int change_active_index(uint32_t keynr);
+	UNIV_INTERN int general_fetch(unsigned char* buf, uint32_t direction, uint32_t match_mode);
+	UNIV_INTERN ulint innobase_lock_autoinc();
+	UNIV_INTERN uint64_t innobase_peek_autoinc();
 	ulint innobase_set_max_autoinc(uint64_t auto_inc);
 	ulint innobase_reset_autoinc(uint64_t auto_inc);
-	ulint innobase_get_autoinc(uint64_t* value);
+	UNIV_INTERN ulint innobase_get_autoinc(uint64_t* value);
 	ulint innobase_update_autoinc(uint64_t	auto_inc);
-	ulint innobase_initialize_autoinc();
-	dict_index_t* innobase_get_index(uint keynr);
- 	uint64_t innobase_get_int_col_max_value(const Field* field);
+	UNIV_INTERN ulint innobase_initialize_autoinc();
+	UNIV_INTERN dict_index_t* innobase_get_index(uint keynr);
+ 	UNIV_INTERN uint64_t innobase_get_int_col_max_value(const Field* field);
 
 	/* Init values for the class: */
  public:
-	ha_innobase(StorageEngine *engine, TableShare *table_arg);
-	~ha_innobase();
+	UNIV_INTERN ha_innobase(StorageEngine *engine, TableShare *table_arg);
+	UNIV_INTERN ~ha_innobase();
 	/*
 	  Get the row type from the storage engine.  If this method returns
 	  ROW_TYPE_NOT_USED, the information in HA_CREATE_INFO should be used.
 	*/
-	enum row_type get_row_type() const;
-
-	const char* index_type(uint key_number);
-	Table_flags table_flags() const;
-	uint32_t index_flags(uint idx, uint part, bool all_parts) const;
-	uint32_t max_supported_keys() const;
-	uint32_t max_supported_key_length() const;
-	uint32_t max_supported_key_part_length() const;
-	const key_map* keys_to_use_for_scanning();
-
-	int open(const char *name, int mode, uint test_if_locked);
-	int close(void);
-	double scan_time();
-	double read_time(uint index, uint ranges, ha_rows rows);
-
-	int write_row(unsigned char * buf);
-	int update_row(const unsigned char * old_data, unsigned char * new_data);
-	int delete_row(const unsigned char * buf);
-	bool was_semi_consistent_read();
-	void try_semi_consistent_read(bool yes);
-	void unlock_row();
+	UNIV_INTERN enum row_type get_row_type() const;
+
+	UNIV_INTERN const char* index_type(uint key_number);
+	UNIV_INTERN Table_flags table_flags() const;
+	UNIV_INTERN uint32_t index_flags(uint idx, uint part, bool all_parts) const;
+	UNIV_INTERN uint32_t max_supported_keys() const;
+	UNIV_INTERN uint32_t max_supported_key_length() const;
+	UNIV_INTERN uint32_t max_supported_key_part_length() const;
+	UNIV_INTERN const key_map* keys_to_use_for_scanning();
+
+	UNIV_INTERN int open(const char *name, int mode, uint test_if_locked);
+	UNIV_INTERN int close(void);
+	UNIV_INTERN double scan_time();
+	UNIV_INTERN double read_time(uint index, uint ranges, ha_rows rows);
+
+	UNIV_INTERN int write_row(unsigned char * buf);
+	UNIV_INTERN int update_row(const unsigned char * old_data, unsigned char * new_data);
+	UNIV_INTERN int delete_row(const unsigned char * buf);
+	UNIV_INTERN bool was_semi_consistent_read();
+	UNIV_INTERN void try_semi_consistent_read(bool yes);
+	UNIV_INTERN void unlock_row();
 
 #ifdef ROW_MERGE_IS_INDEX_USABLE
 	/** Check if an index can be used by this transaction.
@@ -131,65 +131,67 @@
 	*		in the read view of this transaction */
 	bool is_index_available(uint keynr);
 #endif /* ROW_MERGE_IS_INDEX_USABLE */
-	int index_init(uint index, bool sorted);
-	int index_end();
-	int index_read(unsigned char * buf, const unsigned char * key,
-		uint key_len, enum ha_rkey_function find_flag);
-	int index_read_idx(unsigned char * buf, uint index, const unsigned char * key,
+	UNIV_INTERN int index_init(uint index, bool sorted);
+	UNIV_INTERN int index_end();
+	UNIV_INTERN int index_read(unsigned char * buf, 
+                const unsigned char * key, uint key_len, 
+                enum ha_rkey_function find_flag);
+	UNIV_INTERN int index_read_idx(unsigned char * buf, uint index, const unsigned char * key,
 			   uint key_len, enum ha_rkey_function find_flag);
-	int index_read_last(unsigned char * buf, const unsigned char * key, uint key_len);
-	int index_next(unsigned char * buf);
-	int index_next_same(unsigned char * buf, const unsigned char *key, uint keylen);
-	int index_prev(unsigned char * buf);
-	int index_first(unsigned char * buf);
-	int index_last(unsigned char * buf);
-
-	int rnd_init(bool scan);
-	int rnd_end();
-	int rnd_next(unsigned char *buf);
-	int rnd_pos(unsigned char * buf, unsigned char *pos);
-
-	void position(const unsigned char *record);
-	int info(uint);
-	int analyze(Session* session,HA_CHECK_OPT* check_opt);
-	int optimize(Session* session,HA_CHECK_OPT* check_opt);
-	int discard_or_import_tablespace(bool discard);
-	int extra(enum ha_extra_function operation);
-        int reset();
-	int external_lock(Session *session, int lock_type);
-	int start_stmt(Session *session, thr_lock_type lock_type);
+	UNIV_INTERN int index_read_last(unsigned char * buf, const unsigned char * key, uint key_len);
+	UNIV_INTERN int index_next(unsigned char * buf);
+	UNIV_INTERN int index_next_same(unsigned char * buf, const unsigned char *key, uint keylen);
+	UNIV_INTERN int index_prev(unsigned char * buf);
+	UNIV_INTERN int index_first(unsigned char * buf);
+	UNIV_INTERN int index_last(unsigned char * buf);
+
+	UNIV_INTERN int rnd_init(bool scan);
+	UNIV_INTERN int rnd_end();
+	UNIV_INTERN int rnd_next(unsigned char *buf);
+	UNIV_INTERN int rnd_pos(unsigned char * buf, unsigned char *pos);
+
+	UNIV_INTERN void position(const unsigned char *record);
+	UNIV_INTERN int info(uint);
+	UNIV_INTERN int analyze(Session* session,HA_CHECK_OPT* check_opt);
+	UNIV_INTERN int optimize(Session* session,HA_CHECK_OPT* check_opt);
+	UNIV_INTERN int discard_or_import_tablespace(bool discard);
+	UNIV_INTERN int extra(enum ha_extra_function operation);
+        UNIV_INTERN int reset();
+	UNIV_INTERN int external_lock(Session *session, int lock_type);
+	UNIV_INTERN int start_stmt(Session *session, thr_lock_type lock_type);
 	void position(unsigned char *record);
-	ha_rows records_in_range(uint inx, key_range *min_key, key_range
+	UNIV_INTERN ha_rows records_in_range(uint inx, key_range *min_key, key_range
 								*max_key);
-	ha_rows estimate_rows_upper_bound();
+	UNIV_INTERN ha_rows estimate_rows_upper_bound();
 
-	void update_create_info(HA_CREATE_INFO* create_info);
-	int delete_all_rows();
-	int check(Session* session, HA_CHECK_OPT* check_opt);
-	char* update_table_comment(const char* comment);
-	char* get_foreign_key_create_info();
-	int get_foreign_key_list(Session *session, List<FOREIGN_KEY_INFO> *f_key_list);
-	bool can_switch_engines();
-	uint referenced_by_foreign_key();
-	void free_foreign_key_create_info(char* str);
-	THR_LOCK_DATA **store_lock(Session *session, THR_LOCK_DATA **to,
+	UNIV_INTERN void update_create_info(HA_CREATE_INFO* create_info);
+	UNIV_INTERN int delete_all_rows();
+	UNIV_INTERN int check(Session* session, HA_CHECK_OPT* check_opt);
+	UNIV_INTERN char* update_table_comment(const char* comment);
+	UNIV_INTERN char* get_foreign_key_create_info();
+	UNIV_INTERN int get_foreign_key_list(Session *session, List<FOREIGN_KEY_INFO> *f_key_list);
+	UNIV_INTERN bool can_switch_engines();
+	UNIV_INTERN uint referenced_by_foreign_key();
+	UNIV_INTERN void free_foreign_key_create_info(char* str);
+	UNIV_INTERN THR_LOCK_DATA **store_lock(Session *session, THR_LOCK_DATA **to,
 					enum thr_lock_type lock_type);
-	void init_table_handle_for_HANDLER();
-        virtual void get_auto_increment(uint64_t offset, uint64_t increment,
-                                        uint64_t nb_desired_values,
-                                        uint64_t *first_value,
-                                        uint64_t *nb_reserved_values);
-	int reset_auto_increment(uint64_t value);
-
-	virtual bool get_error_message(int error, String *buf);
-
-	bool primary_key_is_clustered();
-	int cmp_ref(const unsigned char *ref1, const unsigned char *ref2);
+	UNIV_INTERN void init_table_handle_for_HANDLER();
+        UNIV_INTERN virtual void get_auto_increment(uint64_t offset, 
+                                                    uint64_t increment,
+                                                    uint64_t nb_desired_values,
+                                                    uint64_t *first_value,
+                                                    uint64_t *nb_reserved_values);
+        UNIV_INTERN int reset_auto_increment(uint64_t value);
+
+        UNIV_INTERN virtual bool get_error_message(int error, String *buf);
+
+	UNIV_INTERN bool primary_key_is_clustered();
+	UNIV_INTERN int cmp_ref(const unsigned char *ref1, const unsigned char *ref2);
 	/** Fast index creation (smart ALTER TABLE) @see handler0alter.cc @{ */
-	int add_index(TABLE *table_arg, KEY *key_info, uint num_of_keys);
-	int prepare_drop_index(TABLE *table_arg, uint *key_num,
-			       uint num_of_keys);
-	int final_drop_index(TABLE *table_arg);
+	UNIV_INTERN int add_index(TABLE *table_arg, KEY *key_info, uint num_of_keys);
+	UNIV_INTERN int prepare_drop_index(TABLE *table_arg, uint *key_num,
+                                           uint num_of_keys);
+        UNIV_INTERN int final_drop_index(TABLE *table_arg);
 	/** @} */
 public:
   /**
@@ -264,7 +266,7 @@
 Converts an InnoDB error code to a MySQL error code and also tells to MySQL
 about a possible transaction rollback inside InnoDB caused by a lock wait
 timeout or a deadlock. */
-extern "C"
+extern "C" UNIV_INTERN
 int
 convert_error_code_to_mysql(
 /*========================*/
@@ -275,7 +277,7 @@
 
 /*************************************************************************
 Allocates an InnoDB transaction for a MySQL handler object. */
-extern "C"
+extern "C" UNIV_INTERN
 trx_t*
 innobase_trx_allocate(
 /*==================*/

=== modified file 'plugin/innobase/include/ha_prototypes.h'
--- plugin/innobase/include/ha_prototypes.h	2009-07-07 09:06:29 +0000
+++ plugin/innobase/include/ha_prototypes.h	2009-07-26 03:10:33 +0000
@@ -169,7 +169,7 @@
 
 /**********************************************************************
 Returns true if the thread is executing a SELECT statement. */
-
+UNIV_INTERN
 ibool
 thd_is_select(
 /*==========*/
@@ -208,6 +208,7 @@
 
 /**************************************************************************
 Determines the connection character set. */
+UNIV_INTERN
 const struct charset_info_st*
 innobase_get_charset(
 /*=================*/
@@ -217,7 +218,7 @@
 /**********************************************************************
 Returns true if the thread supports XA,
 global value of innodb_supports_xa if thd is NULL. */
-
+UNIV_INTERN
 ibool
 thd_supports_xa(
 /*============*/
@@ -227,7 +228,7 @@
 
 /**********************************************************************
 Returns the lock wait timeout for the current connection. */
-
+UNIV_INTERN
 ulong
 thd_lock_wait_timeout(
 /*==================*/

=== modified file 'plugin/innobase/plugin.ac'
--- plugin/innobase/plugin.ac	2009-04-20 14:42:34 +0000
+++ plugin/innobase/plugin.ac	2009-07-26 21:24:10 +0000
@@ -29,17 +29,17 @@
   AC_C_BIGENDIAN
   case "$target_os" in
          lin*)
-           CFLAGS="$CFLAGS -DUNIV_LINUX";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_LINUX";;
          hpux10*)
-           CFLAGS="$CFLAGS -DUNIV_MUST_NOT_INLINE -DUNIV_HPUX -DUNIV_HPUX10";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_MUST_NOT_INLINE -DUNIV_HPUX -DUNIV_HPUX10";;
          hp*)
-           CFLAGS="$CFLAGS -DUNIV_MUST_NOT_INLINE -DUNIV_HPUX";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_MUST_NOT_INLINE -DUNIV_HPUX";;
          aix*)
-           CFLAGS="$CFLAGS -DUNIV_AIX";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_AIX";;
          irix*|osf*|sysv5uw7*|openbsd*)
-           CFLAGS="$CFLAGS -DUNIV_MUST_NOT_INLINE";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_MUST_NOT_INLINE";;
 	 *solaris*|*SunOS*)
-           CFLAGS="$CFLAGS -DUNIV_SOLARIS";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_SOLARIS";;
   esac
   INNODB_DYNAMIC_CFLAGS="-DDRIZZLE_DYNAMIC_PLUGIN"
   case "$target_cpu" in

=== modified file 'plugin/innobase/plugin.am'
--- plugin/innobase/plugin.am	2009-07-07 09:06:29 +0000
+++ plugin/innobase/plugin.am	2009-07-27 21:14:15 +0000
@@ -211,8 +211,8 @@
 			plugin/innobase/handler/i_s.h
 
 noinst_LTLIBRARIES+=	plugin/innobase/libinnobase.la plugin/innobase/libpars.la
-plugin_innobase_libinnobase_la_CFLAGS=	${AM_CFLAGS} ${NO_SHADOW} -I$(top_srcdir)/plugin/innobase/include -DBUILD_DRIZZLE
-plugin_innobase_libinnobase_la_CXXFLAGS=${AM_CXXFLAGS} ${NO_SHADOW} -I$(top_srcdir)/plugin/innobase/include -DBUILD_DRIZZLE
+plugin_innobase_libinnobase_la_CFLAGS=	${AM_CFLAGS} ${INNOBASE_SKIP_WARNINGS} -I$(top_srcdir)/plugin/innobase/include -DBUILD_DRIZZLE
+plugin_innobase_libinnobase_la_CXXFLAGS=${AM_CXXFLAGS} ${INNOBASE_SKIP_WARNINGS} -I$(top_srcdir)/plugin/innobase/include -DBUILD_DRIZZLE
 plugin_innobase_libinnobase_la_SOURCES=	plugin/innobase/btr/btr0btr.c \
 			plugin/innobase/btr/btr0cur.c \
 			plugin/innobase/btr/btr0pcur.c \
@@ -302,7 +302,7 @@
 
 # lexyy.c has lots of redundant decls, but it's generated anyway 
 plugin_innobase_libpars_la_CFLAGS=	${AM_CFLAGS} ${NO_UNREACHED} \
-			${NO_REDUNDANT_DECLS} ${NO_SHADOW} \
+			${NO_REDUNDANT_DECLS} ${INNOBASE_SKIP_WARNINGS} \
 			-I$(top_srcdir)/plugin/innobase/include \
 			-DBUILD_DRIZZLE
 plugin_innobase_libpars_la_SOURCES= 	plugin/innobase/pars/lexyy.c \

=== modified file 'plugin/md5/plugin.ac'
--- plugin/md5/plugin.ac	2009-05-28 07:41:10 +0000
+++ plugin/md5/plugin.ac	2009-07-27 22:24:20 +0000
@@ -1,23 +1,26 @@
-AC_LIB_HAVE_LINKFLAGS(gnutls-openssl,,
-  [
-#include <string.h>
-#include <gnutls/openssl.h>
-  ],
-  [
-    MD5_CTX context;
-    MD5_Init (&context);
-  ])
-AS_IF([test "x$ac_cv_libgnutls_openssl" = "xno"],
-  [
-    AC_LIB_HAVE_LINKFLAGS(crypto,,
-      [
-#include <string.h>
-#include <openssl/md5.h>
-      ],
-      [
-        MD5_CTX context;
-        MD5_Init (&context);
-       ])
-    AS_IF([test "x$ac_cv_libcrypto" = "xno"],
-    AC_MSG_WARN([MD5 not found in either gnutls or crypto lib not building md5 plugin. On Debian this is found in libgnutls-dev. On RedHat it is in gnutls-devel.]))
-  ])
+AC_LIB_HAVE_LINKFLAGS(gnutls-openssl,,[
+    #include <string.h>
+    #include <gnutls/openssl.h>
+  ],[
+    MD5_CTX context;
+    MD5_Init (&context);
+  ])
+AS_IF([test "x$ac_cv_libgnutls_openssl" = "xyes"],[
+  ac_cv_build_md5=yes
+  LTMD5PLUGINDEP=${LTLIBGNUTLS_OPENSSL}
+],[
+  AC_LIB_HAVE_LINKFLAGS(crypto,,[
+    #include <string.h>
+    #include <openssl/md5.h>
+  ],[
+    MD5_CTX context;
+    MD5_Init (&context);
+  ])
+  AS_IF([test "x$ac_cv_libcrypto" = "xyes"],[
+    ac_cv_build_md5=yes
+    LTMD5PLUGINDEP=${LTLIBCRYPTO}
+  ],[
+    AC_MSG_WARN([MD5 not found in either gnutls or crypto lib not building md5 plugin. On Debian this is found in libgnutls-dev. On RedHat it is in gnutls-devel.])
+  ])
+])
+AC_SUBST(LTMD5PLUGINDEP)

=== modified file 'plugin/md5/plugin.ini'
--- plugin/md5/plugin.ini	2009-04-25 23:19:30 +0000
+++ plugin/md5/plugin.ini	2009-07-27 22:24:20 +0000
@@ -3,5 +3,6 @@
 title=UDF Plugin for MD5
 description=UDF Plugin for MD5
 load_by_default=yes
-ldflags=${LTLIBCRYPTO}
-build_conditional="${ac_cv_libcrypto}" = "yes"
+ldflags=${LTMD5PLUGINDEP}
+build_conditional="${ac_cv_build_md5}" = "yes"
+testsuite=md5

=== modified file 'plugin/oldlibdrizzle/drizzle.cc'
--- plugin/oldlibdrizzle/drizzle.cc	2009-07-07 09:06:29 +0000
+++ plugin/oldlibdrizzle/drizzle.cc	2009-07-26 03:10:33 +0000
@@ -41,6 +41,8 @@
 #include <sys/socket.h>
 #include <signal.h>
 #include <errno.h>
+#include <arpa/inet.h>
+#include <netinet/in.h>
 
 
 #define CONNECT_TIMEOUT 0

=== modified file 'plugin/oldlibdrizzle/viosocket.cc'
--- plugin/oldlibdrizzle/viosocket.cc	2009-06-24 22:42:00 +0000
+++ plugin/oldlibdrizzle/viosocket.cc	2009-07-26 03:10:33 +0000
@@ -29,6 +29,7 @@
 #include <string.h>
 
 #include <netinet/tcp.h>
+#include <netinet/in.h>
 #include <sys/poll.h>
 
 #include <netdb.h>

=== modified file 'tests/Makefile.am'
--- tests/Makefile.am	2009-06-09 03:59:56 +0000
+++ tests/Makefile.am	2009-07-27 17:26:22 +0000
@@ -21,7 +21,7 @@
 EXTRA_SCRIPTS = 	valgrind.supp $(PRESCRIPTS)
 GENSCRIPTS =		install_test_db dtr test-run
 PRESCRIPTS =		test-run.pl stress-test.pl
-PLUGIN_TESTS =		md5
+PLUGIN_TESTS =		$(drizzled_plugin_test_list)
 ALL_TESTS =		main,big,$(PLUGIN_TESTS)
 noinst_SCRIPTS =	$(GENSCRIPTS) $(PRESCRIPTS)
 CLEANFILES = 		$(GENSCRIPTS) mtr
@@ -101,7 +101,7 @@
 	$(TEST_RUN) --fast --force --suite=$(ALL_TESTS)
 
 test-drizzle:
-	$(TEST_RUN) --fast --force --suite=main
+	$(TEST_RUN) --fast --force --suite=main,$(PLUGIN_TESTS)
 
 test-big:
 	$(TEST_RUN) --fast --force --suite=big

=== removed file 'tests/r/myisamcheck.result'
--- tests/r/myisamcheck.result	2009-06-25 14:08:24 +0000
+++ tests/r/myisamcheck.result	1970-01-01 00:00:00 +0000
@@ -1,12 +0,0 @@
-drop table if exists t1,t2;
-create temporary table t1(n int not null, key(n), key(n), key(n), key(n)) engine=myisam;
-check table t1 extended;
-insert into t1 values (200000);
-Table	Op	Msg_type	Msg_text
-test.t1	check	status	OK
-drop table t1;
-CREATE TEMPORARY TABLE t1(a INT) engine=myisam;
-CHECK TABLE t1;
-DROP TABLE t1;
-Table	Op	Msg_type	Msg_text
-test.t1	check	status	OK

=== removed file 'tests/t/myisamcheck.test'
--- tests/t/myisamcheck.test	2009-06-25 14:08:24 +0000
+++ tests/t/myisamcheck.test	1970-01-01 00:00:00 +0000
@@ -1,28 +0,0 @@
---disable_warnings
-drop table if exists t1,t2;
---enable_warnings
-
-# Add a lot of keys to slow down check
-create temporary table t1(n int not null, key(n), key(n), key(n), key(n)) engine=myisam;
-let $1=10000;
-disable_query_log;
-while ($1)
-{
- eval insert into t1 values ($1);
- dec $1;
-}
-enable_query_log;
-send check table t1 extended;
-insert into t1 values (200000);
-drop table t1;
-
-# End of 4.1 tests
-
-
-#
-# BUG#26325 - TEMPORARY TABLE "corrupt" after first read, according to CHECK
-#             TABLE
-#
-CREATE TEMPORARY TABLE t1(a INT) engine=myisam;
-CHECK TABLE t1;
-DROP TABLE t1;

=== modified file 'tests/test-run.pl'
--- tests/test-run.pl	2009-06-17 07:33:22 +0000
+++ tests/test-run.pl	2009-07-27 17:44:22 +0000
@@ -137,7 +137,6 @@
 our $exe_drizzle_client_test;
 our $exe_bug25714;
 our $exe_drizzled;
-our $exe_drizzlecheck;
 our $exe_drizzledump;
 our $exe_drizzleslap;
 our $exe_drizzleimport;
@@ -1201,7 +1200,6 @@
   $exe_perror= "perror";
 
 # Look for the client binaries
-  $exe_drizzlecheck= mtr_exe_exists("$path_client_bindir/drizzlecheck");
   $exe_drizzledump= mtr_exe_exists("$path_client_bindir/drizzledump");
   $exe_drizzleimport= mtr_exe_exists("$path_client_bindir/drizzleimport");
   $exe_drizzle=          mtr_exe_exists("$path_client_bindir/drizzle");
@@ -1391,20 +1389,6 @@
 
   $ENV{'EXE_MYSQL'}=          $exe_drizzle;
 
-  # ----------------------------------------------------
-  # Setup env so childs can execute mysqlcheck
-  # ----------------------------------------------------
-  my $cmdline_mysqlcheck=
-    mtr_native_path($exe_drizzlecheck) .
-    " --no-defaults --debug-check -uroot " .
-    "--port=$master->[0]->{'port'} ";
-
-  if ( $opt_debug )
-  {
-    $cmdline_mysqlcheck .=
-      " --debug=d:t:A,$path_vardir_trace/log/mysqlcheck.trace";
-  }
-  $ENV{'DRIZZLE_CHECK'}=              $cmdline_mysqlcheck;
 
   # ----------------------------------------------------
   # Setup env to childs can execute myqldump

